"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
function Checkbox({ name, validation, ...rest }) {
    const { register, formState } = (0, react_hook_form_1.useFormContext)();
    const error = formState.errors[name];
    return ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Checkbox, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, ...register(name, validation), ...rest }, void 0));
}
exports.Checkbox = Checkbox;
//# sourceMappingURL=Checkbox.js.map