"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormSpacePicker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const PickerFormControl_1 = require("../Picker/PickerFormControl");
function FormSpacePicker({ name, validation, ...rest }) {
    const { control } = (0, react_hook_form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.Controller, { control: control, name: name, rules: validation, render: ({ field: { onChange, value }, fieldState: { error } }) => ((0, jsx_runtime_1.jsx)(PickerFormControl_1.PickerFormControl.SpacePicker, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, value: value, onChange: value => {
                onChange(value);
            }, ...rest }, void 0)) }, void 0));
}
exports.FormSpacePicker = FormSpacePicker;
//# sourceMappingURL=FormSpacePicker.js.map