/// <reference types="react" />
import { FormControlRadioGroupProps } from '@tribeplatform/react-ui-kit/FormControl';
import { FormValidationProps } from './typings';
export declare type RadioGroupProps = Omit<FormControlRadioGroupProps, 'value' | 'onChange'> & FormValidationProps & {
    value?: any;
    onChange?: (newValue: any) => void;
};
export declare function RadioGroup({ children, name, validation, ...rest }: RadioGroupProps): JSX.Element;
