"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeCopyButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const DuplicateIcon_1 = __importDefault(require("@heroicons/react/outline/DuplicateIcon"));
const use_clipboard_copy_1 = require("use-clipboard-copy");
const Button_1 = require("@tribeplatform/react-ui-kit/Button");
const icons_1 = require("@tribeplatform/react-ui-kit/icons");
const CodeCopyButton = ({ content }) => {
    const clipboard = (0, use_clipboard_copy_1.useClipboard)({ copiedTimeout: 1000 });
    return ((0, jsx_runtime_1.jsx)(Button_1.Button, { size: "xs", variant: "secondary", leadingIcon: clipboard.copied ? (0, jsx_runtime_1.jsx)(icons_1.CheckIcon, {}, void 0) : (0, jsx_runtime_1.jsx)(DuplicateIcon_1.default, {}, void 0), className: "absolute top-2 right-2 opacity-0 transition-opacity code-copy-button", onClick: () => clipboard.copy(content), children: clipboard.copied ? 'Copied' : 'Copy' }, void 0));
};
exports.CodeCopyButton = CodeCopyButton;
//# sourceMappingURL=CodeCopyButton.js.map