import { FC } from 'react';
import { Member, QueryMembersArgs } from '@tribeplatform/gql-client/types';
declare type MemberPickerSingleProps = {
    value?: Member;
    onChange: (values: Member) => void;
};
declare type MemberPickerMultipleProps = {
    value?: Member[];
    onChange: (values: Member[]) => void;
    multiple?: true;
};
export declare type MemberPickerProps = (MemberPickerSingleProps | MemberPickerMultipleProps) & {
    placeholder?: string;
    variables?: Omit<QueryMembersArgs, 'query'>;
};
export declare const MemberPicker: FC<MemberPickerProps>;
export {};
