"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAppInstallations = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAppInstallations = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const appInstallationsKey = (0, keys_1.getAppInstallationsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(appInstallationsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.app.appInstallations({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useAppInstallations = useAppInstallations;
//# sourceMappingURL=useAppInstallations.js.map