"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useJoinNetworkWithToken = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useJoinNetworkWithToken = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.auth.joinNetworkWithToken(input, fields), useMutationOptions);
};
exports.useJoinNetworkWithToken = useJoinNetworkWithToken;
//# sourceMappingURL=useJoinNetworkWithToken.js.map