"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMemberInvitations = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useMemberInvitations = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberInvitationsKey = (0, keys_1.getMemberInvitationsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(memberInvitationsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.invitations.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useMemberInvitations = useMemberInvitations;
//# sourceMappingURL=useMemberInvitations.js.map