"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useResendVerificationCode = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useResendVerificationCode = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(() => client.auth.resendVerification(), useMutationOptions);
};
exports.useResendVerificationCode = useResendVerificationCode;
//# sourceMappingURL=useResendVerificationCode.js.map