"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSendResetPasswordEmail = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useSendResetPasswordEmail = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.auth.sendResetPasswordEmail(input), useMutationOptions);
};
exports.useSendResetPasswordEmail = useSendResetPasswordEmail;
//# sourceMappingURL=useSendResetPasswordEmail.js.map