"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSsoMemberships = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSsoMemberships = (options) => {
    const { useQueryOptions, variables } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const ssoMembershipKey = (0, keys_1.getSsoMembershipKey)({ variables });
    return (0, lib_1.useQuery)(ssoMembershipKey, () => client.auth.ssoMemberships(variables), useQueryOptions);
};
exports.useSsoMemberships = useSsoMemberships;
//# sourceMappingURL=useSsoMemberships.js.map