"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSsos = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSsos = (options) => {
    const { variables, useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const ssosKey = (0, keys_1.getSsosKey)({ variables });
    return (0, lib_1.useQuery)(ssosKey, () => client.auth.ssos(variables), useQueryOptions);
};
exports.useSsos = useSsos;
//# sourceMappingURL=useSsos.js.map