"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdatePasswordWithToken = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useUpdatePasswordWithToken = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.auth.updatePasswordWithToken(input), useMutationOptions);
};
exports.useUpdatePasswordWithToken = useUpdatePasswordWithToken;
//# sourceMappingURL=useUpdatePasswordWithToken.js.map