"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useValidateLink = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useValidateLink = (options) => {
    const { useQueryOptions, variables } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberInvitationLinkValidityKey = (0, keys_1.getMemberInvitationLinkValidityKey)({
        variables,
    });
    return (0, lib_1.useQuery)(memberInvitationLinkValidityKey, () => client.invitations.validateLink(variables), useQueryOptions);
};
exports.useValidateLink = useValidateLink;
//# sourceMappingURL=useValidateLink.js.map