import { AuthTokenFields, ClientError } from '@tribeplatform/gql-client';
import { AuthToken, MutationVerifyMemberArgs } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
export declare const useVerifyMember: (options?: {
    fields?: AuthTokenFields;
    useMutationOptions?: UseMutationOptions<AuthToken, ClientError, MutationVerifyMemberArgs, {
        snapshot: AuthToken;
    }>;
}) => import("react-query").UseMutationResult<AuthToken, ClientError, MutationVerifyMemberArgs, {
    snapshot: AuthToken;
}>;
