"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBaskets = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useBaskets = (options) => {
    const { useQueryOptions, variables } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const basketsKey = (0, keys_1.getBasketsKey)({ variables });
    return (0, lib_1.useQuery)(basketsKey, () => client.billing.baskets(variables), useQueryOptions);
};
exports.useBaskets = useBaskets;
//# sourceMappingURL=useBaskets.js.map