"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBillingDetails = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useBillingDetails = (options) => {
    const { useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const billingDetailsKey = (0, keys_1.getBillingDetailsKey)();
    return (0, lib_1.useQuery)(billingDetailsKey, () => client.billing.details(), {
        ...useQueryOptions,
    });
};
exports.useBillingDetails = useBillingDetails;
//# sourceMappingURL=useBillingDetails.js.map