"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInvoices = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useInvoices = (options) => {
    const { useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const invoicesKey = (0, keys_1.getInvoicesKey)();
    return (0, lib_1.useQuery)(invoicesKey, () => client.billing.invoices(), {
        ...useQueryOptions,
    });
};
exports.useInvoices = useInvoices;
//# sourceMappingURL=useInvoices.js.map