"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useVatTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useVatTypes = (options) => {
    const { useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const vatTypesKey = (0, keys_1.getVatTypesKey)();
    return (0, lib_1.useQuery)(vatTypesKey, () => client.billing.vatTypes(), {
        ...useQueryOptions,
    });
};
exports.useVatTypes = useVatTypes;
//# sourceMappingURL=useVatTypes.js.map