import { NavigationSlates, Network, Slate } from '@tribeplatform/gql-client/types';
export declare const networkUpdater: (newNetwork: any) => (old: any) => any;
export declare const authTokenUpdater: (newAuthToken: any) => (old: any) => any;
export declare const navigationSlateReducer: (network: Network, updatedSlateIds: string[], slates: Slate[]) => NavigationSlates;
export declare const useCachedNetwork: () => {
    activeSso?: import("@tribeplatform/gql-client/types").ActiveSso;
    activeTheme?: import("@tribeplatform/gql-client/types").NewTheme;
    additionalSeatsCapacity: number;
    aliases: string[];
    authMemberProps?: import("@tribeplatform/gql-client/types").NetworkAuthMemberProps;
    badges?: import("@tribeplatform/gql-client/types").Badge[];
    billingEmail?: string;
    brandColor?: string;
    companyName?: string;
    createdAt: string;
    createdBy?: import("@tribeplatform/gql-client/types").Member;
    createdById: string;
    customCodes?: import("@tribeplatform/gql-client/types").CustomCode[];
    customMemberCapacity: number;
    customSeoDetail?: import("@tribeplatform/gql-client/types").CustomSeoDetail;
    defaultSpaces?: import("@tribeplatform/gql-client/types").Space[];
    description?: string;
    domain: string;
    extraProperties?: import("@tribeplatform/gql-client/types").ExtraProperty[];
    favicon?: import("@tribeplatform/gql-client/types").Media;
    faviconId?: string;
    footer?: import("@tribeplatform/gql-client/types").Footer;
    hideDefaultAuthenticationForm: boolean;
    id: string;
    incidentEmails?: string[];
    industry?: import("@tribeplatform/gql-client/types").NetworkIndustryType;
    landingPages?: import("@tribeplatform/gql-client/types").NetworkSettings;
    limits?: import("@tribeplatform/gql-client/types").NetworkLimits;
    locale: string;
    logo?: import("@tribeplatform/gql-client/types").Media;
    logoId?: string;
    mediaLimits?: import("@tribeplatform/gql-client/types").MediaLimits;
    mediaSettings?: import("@tribeplatform/gql-client/types").MediaNetworkSettings;
    memberCapacity: number;
    memberCapacityDeclared: number;
    memberFields?: import("@tribeplatform/gql-client/types").CustomFieldsSchema;
    members?: import("@tribeplatform/gql-client/types").PaginatedMember;
    membersCount?: number;
    membership: import("@tribeplatform/gql-client/types").NetworkMembership;
    name: string;
    navigationSlates: NavigationSlates;
    newDomain?: string;
    notificationSettings?: import("@tribeplatform/gql-client/types").NotificationNetworkSettings;
    organizationId?: string;
    owner?: import("@tribeplatform/gql-client/types").Member;
    ownerId: string;
    passwordComplexity: import("@tribeplatform/gql-client/types").NetworkPasswordComplexity;
    privacyPolicyUrl?: string;
    releaseChannel?: import("@tribeplatform/gql-client/types").NetworkReleaseChannelType;
    roles?: import("@tribeplatform/gql-client/types").Role[];
    seatCapacityDeclared: number;
    seatsCapacity: number;
    settings?: import("@tribeplatform/gql-client/types").Settings;
    spaces?: import("@tribeplatform/gql-client/types").PaginatedSpace;
    status: import("@tribeplatform/gql-client/types").NetworkStatus;
    statusLocked: boolean;
    statusReason?: import("@tribeplatform/gql-client/types").StatusReason;
    subscriptionPlan?: import("@tribeplatform/gql-client/types").Plan;
    systemSpaces?: import("@tribeplatform/gql-client/types").Space[];
    termsOfServiceUrl?: string;
    themes?: import("@tribeplatform/gql-client/types").Themes;
    topNavigation?: import("@tribeplatform/gql-client/types").TopNavigation;
    tribeBranding: boolean;
    usages?: import("@tribeplatform/gql-client/types").NetworkUsages;
    visibility: import("@tribeplatform/gql-client/types").NetworkVisibility;
    whoCanInvite?: import("@tribeplatform/gql-client/types").Role[];
    whoCanInviteIds: string[];
};
