import { ClientError, CollectionFields } from '@tribeplatform/gql-client';
import { Collection, MutationCreateCollectionArgs } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
export declare const useCreateCollection: (options?: {
    fields?: CollectionFields;
    useMutationOptions?: UseMutationOptions<Collection, ClientError, MutationCreateCollectionArgs, {
        snapshot: Collection;
    }>;
}) => import("react-query").UseMutationResult<Collection, ClientError, MutationCreateCollectionArgs, {
    snapshot: Collection;
}>;
