"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalAppPublications = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalAppPublications = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const AppPublicationsKey = (0, keys_1.getAppPublicationsKey)({ variables, fields });
    return (0, lib_1.useQuery)(AppPublicationsKey, () => client.dev.appPublications(variables, fields), { ...useQueryOptions, enabled: !!(variables === null || variables === void 0 ? void 0 : variables.appId) });
};
exports.useGlobalAppPublications = useGlobalAppPublications;
//# sourceMappingURL=useGlobalAppPublications.js.map