"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalCreateImages = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useGlobalCreateImages = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.dev.uploadImages(input), {
        ...useMutationOptions,
    });
};
exports.useGlobalCreateImages = useGlobalCreateImages;
//# sourceMappingURL=useGlobalCreateImages.js.map