"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalEventTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useGlobalEventTypes = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useQuery)(['eventTypes'], () => client.dev.eventTypes(variables, fields), { ...useQueryOptions });
};
exports.useGlobalEventTypes = useGlobalEventTypes;
//# sourceMappingURL=useGlobalEventTypes.js.map