"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalTestAppWebhook = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useGlobalTestAppWebhook = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.dev.testAppWebhook(input), {
        ...useMutationOptions,
    });
};
exports.useGlobalTestAppWebhook = useGlobalTestAppWebhook;
//# sourceMappingURL=useGlobalTestAppWebhook.js.map