"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEmailLogs = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useEmailLogs = (options) => {
    const { variables, useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const emailLogsKey = (0, keys_1.getEmailLogsKey)({ variables });
    return (0, lib_1.useInfiniteQuery)(emailLogsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.emailLogs({ after, ...variables }), useInfiniteQueryOptions);
};
exports.useEmailLogs = useEmailLogs;
//# sourceMappingURL=useEmailLogs.js.map