"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUpdateImage = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useUpdateImage = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((variables) => client.media.updateImage(variables), useMutationOptions);
};
exports.useUpdateImage = useUpdateImage;
//# sourceMappingURL=useUpdateImage.js.map