import { ModerationItemFields } from '@tribeplatform/gql-client';
import { PaginatedModeration, QueryModerationItemsArgs } from '@tribeplatform/gql-client/types';
import { UseInfiniteQueryOptions } from '../../lib';
export declare const useModerationItems: (options: {
    variables: QueryModerationItemsArgs;
    fields?: ModerationItemFields;
    useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedModeration>;
}) => import("react-query").UseInfiniteQueryResult<PaginatedModeration, unknown>;
