"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useModerationSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useModerationSettings = (options) => {
    const { useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const moderationSettingsKey = (0, keys_1.getModerationSettingsKey)();
    return (0, lib_1.useQuery)(moderationSettingsKey, () => client.moderation.settings(), useQueryOptions);
};
exports.useModerationSettings = useModerationSettings;
//# sourceMappingURL=useModerationSettings.js.map