"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMemberPostNotificationSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useMemberPostNotificationSettings = (options = {}) => {
    const { variables, useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useQuery)((0, keys_1.getMemberPostNotificationSettingsKey)({ variables }), () => client.notifications.memberPostNotificationSettings(variables), useQueryOptions);
};
exports.useMemberPostNotificationSettings = useMemberPostNotificationSettings;
//# sourceMappingURL=useMemberPostNotificationSettings.js.map