import { InfiniteData, QueryKey } from 'react-query';
import { ClientError } from '@tribeplatform/gql-client';
import { MemberPostNotificationSettings, MutationUpdateMemberPostNotificationSettingsArgs, PaginatedPost, Post } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
declare type Snapshot = {
    snapshot: MemberPostNotificationSettings;
    postSnapshot: Post;
    postsSnapshots: [QueryKey, InfiniteData<PaginatedPost>][];
    pinnedPostsSnapshot: [QueryKey, InfiniteData<Post>][];
};
export declare const useUpdateMemberPostNotificationSettings: (options?: {
    useMutationOptions?: UseMutationOptions<MemberPostNotificationSettings, ClientError, MutationUpdateMemberPostNotificationSettingsArgs, Snapshot>;
}) => import("react-query").UseMutationResult<MemberPostNotificationSettings, ClientError, MutationUpdateMemberPostNotificationSettingsArgs, Snapshot>;
export {};
