import { InfiniteData, QueryKey } from 'react-query';
import { ClientError, PostFields } from '@tribeplatform/gql-client';
import { MutationCreatePostArgs, PaginatedPost, Post } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
export declare const useAddPost: (options?: {
    fields?: PostFields;
    useMutationOptions?: UseMutationOptions<Post, ClientError, MutationCreatePostArgs, {
        snapshot: [QueryKey, InfiniteData<PaginatedPost>][];
    }>;
}) => import("react-query").UseMutationResult<Post, ClientError, MutationCreatePostArgs, {
    snapshot: [QueryKey, InfiniteData<PaginatedPost>][];
}>;
