"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePostTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const usePostTypes = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const postTypesKey = (0, keys_1.getPostTypesKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(postTypesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.posts.listPostTypes({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.usePostTypes = usePostTypes;
//# sourceMappingURL=usePostTypes.js.map