import { PostFields } from '@tribeplatform/gql-client';
import { PaginatedPost, QueryRepliesArgs } from '@tribeplatform/gql-client/types';
import { UseInfiniteQueryOptions } from '../../lib';
export declare const useReplies: (options: {
    variables: QueryRepliesArgs;
    fields?: PostFields;
    useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedPost>;
}) => import("react-query").UseInfiniteQueryResult<PaginatedPost, unknown>;
