"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useExtraProperties = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useExtraProperties = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const extraPropertiesKey = (0, keys_1.getExtraPropertiesKey)({ variables });
    return (0, lib_1.useQuery)(extraPropertiesKey, () => client.extraProperties(variables), {
        ...useQueryOptions,
    });
};
exports.useExtraProperties = useExtraProperties;
//# sourceMappingURL=useExtraProperties.js.map