"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLeaderboard = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useLeaderboard = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const leaderboardKey = (0, keys_1.getLeaderboardKey)({ variables, fields });
    return (0, lib_1.useQuery)(leaderboardKey, () => client.report.getLeaderboard(variables, fields), useQueryOptions);
};
exports.useLeaderboard = useLeaderboard;
//# sourceMappingURL=useLeaderboard.js.map