"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLeaderboardWithScores = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useLeaderboardWithScores = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const leaderboardWithScoresKey = (0, keys_1.getLeaderboardWithScoresKey)({
        variables,
        fields,
    });
    return (0, lib_1.useQuery)(leaderboardWithScoresKey, () => client.report.getLeaderboardWithScores(variables, fields), useQueryOptions);
};
exports.useLeaderboardWithScores = useLeaderboardWithScores;
//# sourceMappingURL=useLeaderboardWithScores.js.map