"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceMembershipRequests = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSpaceMembershipRequests = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const key = (0, keys_1.getSpaceMembershipRequestKey)({ variables, fields });
    return (0, lib_1.useQuery)(key, () => client.spaceMembership.getRequests(variables, fields), {
        ...useQueryOptions,
    });
};
exports.useSpaceMembershipRequests = useSpaceMembershipRequests;
//# sourceMappingURL=useSpaceMembershipRequests.js.map