"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePage = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const usePage = (options) => {
    const { variables, fields = 'default', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const pageKey = (0, keys_1.getPageKey)({ variables, fields });
    return (0, lib_1.useQuery)(pageKey, () => client.spaces.getByPath(variables, fields), {
        ...useQueryOptions,
    });
};
exports.usePage = usePage;
//# sourceMappingURL=usePage.js.map