import { QueryFunction, UseQueryOptions as RQUseQueryOptions, UseQueryResult } from 'react-query';
import { QueryKey } from './QueryKey';
export declare type UseQueryOptions<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData, TQueryKey extends QueryKey = QueryKey> = RQUseQueryOptions<TQueryFnData, TError, TData, TQueryKey>;
declare type useQuery = <TQueryFnData = unknown, TError = unknown, TData = TQueryFnData, TQueryKey extends QueryKey = QueryKey>(queryKey: TQueryKey, queryFn: QueryFunction<TQueryFnData, TQueryKey>, options?: UseQueryOptions<TQueryFnData, TError, TData, TQueryKey>) => UseQueryResult<TData, TError>;
export declare const useQuery: useQuery;
export {};
