"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useQuery = void 0;
const react_query_1 = require("react-query");
const useTribeClient_1 = require("../../useTribeClient");
const useQuery = (key, fetchFn, options) => {
    const { ready } = (0, useTribeClient_1.useTribeClient)();
    return (0, react_query_1.useQuery)(key, fetchFn, {
        enabled: !ready ? false : options === null || options === void 0 ? void 0 : options.enabled,
        ...options,
    });
};
exports.useQuery = useQuery;
//# sourceMappingURL=useQuery.js.map