"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBasketsKey = exports.getVatTypesKey = exports.getInvoicesKey = exports.getBillingDetailsKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const BILLING_DETAILS_KEY = 'billingDetails';
const INVOICES_KEY = 'invoices';
const VAT_TYPES_KEY = 'vatTypes';
const BASKETS_KEY = 'baskets';
exports.getBillingDetailsKey = (0, keyConstructor_1.KeyConstructor)(BILLING_DETAILS_KEY);
exports.getInvoicesKey = (0, keyConstructor_1.KeyConstructor)(INVOICES_KEY);
exports.getVatTypesKey = (0, keyConstructor_1.KeyConstructor)(VAT_TYPES_KEY);
exports.getBasketsKey = (0, keyConstructor_1.KeyConstructor)(BASKETS_KEY);
//# sourceMappingURL=billing.js.map