import { LeaderboardFields, MemberFields, ReportRecordFields } from '@tribeplatform/gql-client';
import { QueryActivityLogsArgs, QueryAnalyticsArgs, QueryLeaderboardArgs, QueryLeaderboardWithScoresArgs } from '@tribeplatform/gql-client/types';
export declare const getLeaderboardKey: (options?: {
    variables?: Partial<QueryLeaderboardArgs>;
    fields?: Partial<MemberFields>;
}) => import("../..").QueryKey;
export declare const getLeaderboardWithScoresKey: (options?: {
    variables?: Partial<QueryLeaderboardWithScoresArgs>;
    fields?: Partial<LeaderboardFields>;
}) => import("../..").QueryKey;
export declare const getActivityLogKey: (options?: {
    variables?: Partial<QueryActivityLogsArgs>;
    fields?: Partial<ReportRecordFields>;
}) => import("../..").QueryKey;
export declare const getAnalyticsKey: (options?: {
    variables?: Partial<QueryAnalyticsArgs>;
    fields?: Partial<ReportRecordFields>;
}) => import("../..").QueryKey;
