"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAnalyticsKey = exports.getActivityLogKey = exports.getLeaderboardWithScoresKey = exports.getLeaderboardKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const LEADERBOARD_KEY = 'leaderBoard';
const LEADERBOARD_WITH_SCORES_KEY = 'leaderboardWithScores';
const ACTIVITY_LOG_KEY = 'activityLog';
const ANALYTICS_KEY = 'analytics';
exports.getLeaderboardKey = (0, keyConstructor_1.KeyConstructor)(LEADERBOARD_KEY);
exports.getLeaderboardWithScoresKey = (0, keyConstructor_1.KeyConstructor)(LEADERBOARD_WITH_SCORES_KEY);
exports.getActivityLogKey = (0, keyConstructor_1.KeyConstructor)(ACTIVITY_LOG_KEY);
exports.getAnalyticsKey = (0, keyConstructor_1.KeyConstructor)(ANALYTICS_KEY);
//# sourceMappingURL=report.keys.js.map