"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPinnedPostsKey = exports.getSpacesBySlugsKey = exports.getSpacesByIdsKey = exports.getMemberSpacesKey = exports.getSpacesKey = exports.getSpaceKey = exports.getPageKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const SPACE_KEY = 'space';
const PAGE_KEY = 'page';
const SPACES_KEY = 'spaces';
const MEMBER_SPACES_KEY = 'memberSpaces';
const SPACES_BY_IDS_KEY = 'spacesByIds';
const SPACES_BY_SLUGS_KEY = 'spacesBySlugs';
const PINNED_POSTS_KEY = 'pinnedPosts';
exports.getPageKey = (0, keyConstructor_1.KeyConstructor)(PAGE_KEY);
exports.getSpaceKey = (0, keyConstructor_1.KeyConstructor)(SPACE_KEY);
exports.getSpacesKey = (0, keyConstructor_1.KeyConstructor)(SPACES_KEY);
exports.getMemberSpacesKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_SPACES_KEY);
exports.getSpacesByIdsKey = (0, keyConstructor_1.KeyConstructor)(SPACES_BY_IDS_KEY);
exports.getSpacesBySlugsKey = (0, keyConstructor_1.KeyConstructor)(SPACES_BY_SLUGS_KEY);
exports.getPinnedPostsKey = (0, keyConstructor_1.KeyConstructor)(PINNED_POSTS_KEY);
//# sourceMappingURL=space.key.js.map