import { ReactNode } from 'react';
import { FormControlMultiselectProps } from '@tribeplatform/react-ui-kit/FormControl';
import { FormValidationProps } from './typings';
export declare type MultiselectProps = Omit<FormControlMultiselectProps, 'value' | 'onChange' | 'children'> & FormValidationProps & {
    value?: string[];
    onChange?: (newValue: string[]) => void;
    children?: ReactNode;
};
export declare function Multiselect({ name, validation, error: ___, onChange: multiselectOnChange, value: __, ...rest }: MultiselectProps): JSX.Element;
//# sourceMappingURL=Multiselect.d.ts.map