import { ReactNode } from 'react';
import { FormControlSelectProps } from '@tribeplatform/react-ui-kit/FormControl';
import { FormValidationProps } from './typings';
export declare type SelectProps = Omit<FormControlSelectProps, 'value' | 'onChange' | 'children'> & FormValidationProps & {
    value?: any;
    onChange?: (newValue: any) => void;
    children?: ReactNode;
    renderButton?: (value: any) => ReactNode;
};
export declare function Select({ renderButton, children, name, validation, error: ___, onChange: selectOnChange, value: __, ...rest }: SelectProps): JSX.Element;
//# sourceMappingURL=Select.d.ts.map