import { FC } from 'react';
import { QuerySpacesArgs, Space } from '@tribeplatform/gql-client/types';
declare type SpacePickerSingleProps = {
    value?: Space;
    onChange: (values: Space) => void;
};
declare type SpacePickerMultipleProps = {
    value?: Space[];
    onChange: (values: Space[]) => void;
    multiple?: true;
};
export declare type SpacePickerProps = (SpacePickerSingleProps | SpacePickerMultipleProps) & {
    placeholder?: string;
    variables?: Omit<QuerySpacesArgs, 'query'>;
};
export declare const SpacePicker: FC<SpacePickerProps>;
export {};
//# sourceMappingURL=SpacePicker.d.ts.map