import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppSpaceSettingsKey } from '../../utils/keys';
export const useAppSpaceSettings = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = useTribeClient();
    const appSpaceSettingsKey = getAppSpaceSettingsKey({ variables });
    return useQuery(appSpaceSettingsKey, () => client.app.spaceSettings(variables), useQueryOptions);
};
//# sourceMappingURL=useAppSpaceSettings.js.map