import { ClientError } from '@tribeplatform/gql-client';
import { AuthTokenFields } from '@tribeplatform/gql-client/graphql';
import { AuthToken, QueryLoginNetworkArgs } from '@tribeplatform/gql-client/types';
import { UseQueryOptions } from '../../lib';
declare type Login = ({ variables, useQueryOptions, fields, }: {
    variables: QueryLoginNetworkArgs;
    useQueryOptions?: UseQueryOptions<AuthToken, ClientError>;
    fields?: AuthTokenFields;
    willReload?: boolean;
}) => Promise<AuthToken>;
export declare const useLogin: () => {
    login: Login;
    isLoading: boolean;
};
export {};
//# sourceMappingURL=useLogin.d.ts.map