import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getSsoUrlKey } from '../../utils/keys';
export const useSsoUrl = (options) => {
    const { useQueryOptions, variables } = options || {};
    const { client } = useTribeClient();
    const ssoUrlKey = getSsoUrlKey({ variables });
    return useQuery(ssoUrlKey, () => client.auth.ssoUrl(variables), useQueryOptions);
};
//# sourceMappingURL=useSsoUrl.js.map