import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppKey } from '../../utils/keys';
export const useGlobalApp = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = useTribeClient();
    const globalAppKey = getAppKey({ variables, fields });
    return useQuery(globalAppKey, () => client === null || client === void 0 ? void 0 : client.dev.app(variables, fields), useQueryOptions);
};
//# sourceMappingURL=useGlobalApp.js.map