import { useMutation } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
export const useGlobalCreateImages = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    return useMutation((input) => client.dev.uploadImages(input), {
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalCreateImages.js.map