import { useInfiniteQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getNetworksKey } from '../../utils/keys';
export const useGlobalNetworks = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = useTribeClient();
    const networksKey = getNetworksKey({ variables, fields });
    return useInfiniteQuery(networksKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.dev.networks({ after, ...variables }, fields), useInfiniteQueryOptions);
};
//# sourceMappingURL=useGlobalNetworks.js.map