import { useMutation } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
export const useGlobalTestAppWebhook = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    return useMutation(input => client.dev.testAppWebhook(input), {
        ...useMutationOptions,
    });
};
//# sourceMappingURL=useGlobalTestAppWebhook.js.map