import { MemberFields, SpaceMemberFields } from '@tribeplatform/gql-client';
import { MemberStatusInput, PaginatedMember, PaginatedSpaceMember, QueryMembersArgs, QuerySpaceMembersArgs } from '@tribeplatform/gql-client/types';
import { UseInfiniteQueryOptions } from '../../lib';
export declare const DefaultMembersLimit = 10;
export declare const DefaultMembersStatus: MemberStatusInput[];
export declare const useMembers: (options?: {
    variables?: QueryMembersArgs;
    fields?: MemberFields;
    useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedMember>;
}) => import("react-query").UseInfiniteQueryResult<PaginatedMember, unknown>;
export declare const useSpaceMembers: (options?: {
    variables?: QuerySpaceMembersArgs;
    fields?: SpaceMemberFields;
    useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedSpaceMember>;
}) => import("react-query").UseInfiniteQueryResult<PaginatedSpaceMember, unknown>;
//# sourceMappingURL=useMembers.d.ts.map