import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getMemberPostNotificationSettingsKey } from '../../utils/keys';
export const useMemberPostNotificationSettings = (options = {}) => {
    const { variables, useQueryOptions } = options || {};
    const { client } = useTribeClient();
    return useQuery(getMemberPostNotificationSettingsKey({ variables }), () => client.notifications.memberPostNotificationSettings(variables), useQueryOptions);
};
//# sourceMappingURL=useMemberPostNotificationSettings.js.map