import { useMutation } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
export const useUnsubscribeFromNotification = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = useTribeClient();
    return useMutation(input => client.notifications.unsubscribe(input), useMutationOptions);
};
//# sourceMappingURL=useUnsubscribeFromNotification.js.map