import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getSpacePostTypeKey } from '../../utils/keys';
export const useSpacePostType = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = useTribeClient();
    const spacePostTypeKey = getSpacePostTypeKey({ variables, fields });
    return useQuery(spacePostTypeKey, () => client.spacePostType.get(variables, fields), {
        ...useQueryOptions,
    });
};
//# sourceMappingURL=useSpacePostType.js.map