import { UseMutationOptions as RQUseMutationOptions, UseMutateAsyncFunction as RQUseMutateAsyncFunction } from 'react-query';
import { MutationFunction } from 'react-query/types/core/types';
import { UseMutationResult } from 'react-query/types/react/types';
export declare type UseMutationOptions<TData = unknown, TError = unknown, TVariables = void, TContext = unknown> = RQUseMutationOptions<TData, TError, TVariables, TContext>;
declare type useMutation = <TData = unknown, TError = unknown, TVariables = void, TContext = unknown>(mutationFn?: MutationFunction<TData, TVariables>, options?: UseMutationOptions<TData, TError, TVariables, TContext>) => UseMutationResult<TData, TError, TVariables, TContext>;
export declare const useMutation: useMutation;
export declare type UseMutateAsyncFunction<TData = unknown, TError = unknown, TVariables = void, TContext = unknown> = RQUseMutateAsyncFunction<TData, TError, TVariables, TContext>;
export {};
//# sourceMappingURL=useMutation.d.ts.map