import { AuthTokenFields, MemberFields, MemberInvitationFields } from '@tribeplatform/gql-client';
import { QueryInvitationLinkValidityArgs, QueryLoginNetworkArgs, QueryMemberInvitationsArgs, QueryMemberInvitationValidityArgs, QuerySsoMembershipsArgs, QuerySsosArgs, QuerySsoUrlArgs } from '@tribeplatform/gql-client/types';
export declare const getAuthTokenKey: (options?: {
    variables?: never;
    fields?: Partial<AuthTokenFields>;
}) => import("../..").QueryKey;
export declare const getAuthMemberKey: (options?: {
    variables?: never;
    fields?: Partial<MemberFields>;
}) => import("../..").QueryKey;
export declare const getAuthMemberSessionsKey: (options?: {
    variables?: never;
    fields?: Partial<MemberFields>;
}) => import("../..").QueryKey;
export declare const getLoginKey: (options?: {
    variables?: Partial<QueryLoginNetworkArgs>;
    fields?: Partial<AuthTokenFields>;
}) => import("../..").QueryKey;
export declare const getLoginWithSsoKey: (options?: {
    variables?: Partial<QuerySsoUrlArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getSsosKey: (options?: {
    variables?: Partial<QuerySsosArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getMemberInvitationValidityKey: (options?: {
    variables?: Partial<QueryMemberInvitationValidityArgs>;
    fields?: Partial<MemberInvitationFields>;
}) => import("../..").QueryKey;
export declare const getMemberInvitationLinkKey: (options?: {
    variables?: never;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getMemberInvitationsKey: (options?: {
    variables?: Partial<QueryMemberInvitationsArgs>;
    fields?: Partial<MemberInvitationFields>;
}) => import("../..").QueryKey;
export declare const getMemberInvitationLinkValidityKey: (options?: {
    variables?: Partial<QueryInvitationLinkValidityArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getSsoMembershipKey: (options?: {
    variables?: Partial<QuerySsoMembershipsArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getSsoUrlKey: (options?: {
    variables?: Partial<QuerySsoUrlArgs>;
    fields?: never;
}) => import("../..").QueryKey;
//# sourceMappingURL=authToken.keys.d.ts.map