[@tribeplatform/react-sdk](../README.md) / hooks

# Module: hooks

## Table of contents

### Type aliases

- [useUploadFileProps](hooks.md#useuploadfileprops)

### Variables

- [DefaultFeedLimit](hooks.md#defaultfeedlimit)
- [DefaultMembersLimit](hooks.md#defaultmemberslimit)
- [DefaultNotificationLimit](hooks.md#defaultnotificationlimit)
- [DefaultSpacesLimit](hooks.md#defaultspaceslimit)

### Functions

- [useAddMemberSchemaField](hooks.md#useaddmemberschemafield)
- [useAddPost](hooks.md#useaddpost)
- [useAddReaction](hooks.md#useaddreaction)
- [useAddReply](hooks.md#useaddreply)
- [useAddSpaceMember](hooks.md#useaddspacemember)
- [useApp](hooks.md#useapp)
- [useAppInstallations](hooks.md#useappinstallations)
- [useAppNetworkSettings](hooks.md#useappnetworksettings)
- [useAppSpaceSettings](hooks.md#useappspacesettings)
- [useApproveSpaceMembershipRequest](hooks.md#useapprovespacemembershiprequest)
- [useApps](hooks.md#useapps)
- [useArchiveMemberSchemaField](hooks.md#usearchivememberschemafield)
- [useAuthMember](hooks.md#useauthmember)
- [useAuthMemberSessions](hooks.md#useauthmembersessions)
- [useAuthToken](hooks.md#useauthtoken)
- [useCancelEmailUpdate](hooks.md#usecancelemailupdate)
- [useClearNewDomain](hooks.md#useclearnewdomain)
- [useClearNotificationsCount](hooks.md#useclearnotificationscount)
- [useCollection](hooks.md#usecollection)
- [useCollections](hooks.md#usecollections)
- [useConfirmResetPassword](hooks.md#useconfirmresetpassword)
- [useCreateCollection](hooks.md#usecreatecollection)
- [useCreateEmojis](hooks.md#usecreateemojis)
- [useCreateFiles](hooks.md#usecreatefiles)
- [useCreateImages](hooks.md#usecreateimages)
- [useCreateSpace](hooks.md#usecreatespace)
- [useDeclineSpaceMembershipRequest](hooks.md#usedeclinespacemembershiprequest)
- [useDeleteCollection](hooks.md#usedeletecollection)
- [useDeleteMember](hooks.md#usedeletemember)
- [useDeleteNotification](hooks.md#usedeletenotification)
- [useDeleteNotifications](hooks.md#usedeletenotifications)
- [useDeletePost](hooks.md#usedeletepost)
- [useDeleteSsoMembership](hooks.md#usedeletessomembership)
- [useDomainAvailability](hooks.md#usedomainavailability)
- [useEmbed](hooks.md#useembed)
- [useFeed](hooks.md#usefeed)
- [useGlobalAddAppCollaborator](hooks.md#useglobaladdappcollaborator)
- [useGlobalApp](hooks.md#useglobalapp)
- [useGlobalAppCollaborators](hooks.md#useglobalappcollaborators)
- [useGlobalAppPublications](hooks.md#useglobalapppublications)
- [useGlobalApps](hooks.md#useglobalapps)
- [useGlobalCreateApp](hooks.md#useglobalcreateapp)
- [useGlobalCreateImages](hooks.md#useglobalcreateimages)
- [useGlobalDeleteApp](hooks.md#useglobaldeleteapp)
- [useGlobalEventTypes](hooks.md#useglobaleventtypes)
- [useGlobalNetworks](hooks.md#useglobalnetworks)
- [useGlobalPublishAppPrivately](hooks.md#useglobalpublishappprivately)
- [useGlobalRegenerateClientSecret](hooks.md#useglobalregenerateclientsecret)
- [useGlobalRemoveAppCollaborator](hooks.md#useglobalremoveappcollaborator)
- [useGlobalTestAppWebhook](hooks.md#useglobaltestappwebhook)
- [useGlobalUnPublishAppPrivately](hooks.md#useglobalunpublishappprivately)
- [useGlobalUpdateApp](hooks.md#useglobalupdateapp)
- [useHidePost](hooks.md#usehidepost)
- [useInstallApp](hooks.md#useinstallapp)
- [useInvitationLink](hooks.md#useinvitationlink)
- [useInviteMembers](hooks.md#useinvitemembers)
- [useJoinNetwork](hooks.md#usejoinnetwork)
- [useJoinNetworkWithLink](hooks.md#usejoinnetworkwithlink)
- [useJoinNetworkWithToken](hooks.md#usejoinnetworkwithtoken)
- [useJoinSpace](hooks.md#usejoinspace)
- [useLeaderboard](hooks.md#useleaderboard)
- [useLeaveSpace](hooks.md#useleavespace)
- [useLogin](hooks.md#uselogin)
- [useLoginWithSso](hooks.md#useloginwithsso)
- [useLogout](hooks.md#uselogout)
- [useMember](hooks.md#usemember)
- [useMemberInvitations](hooks.md#usememberinvitations)
- [useMemberNotificationSettings](hooks.md#usemembernotificationsettings)
- [useMemberPostNotificationSettings](hooks.md#usememberpostnotificationsettings)
- [useMemberPosts](hooks.md#usememberposts)
- [useMemberSpaceMembershipRequest](hooks.md#usememberspacemembershiprequest)
- [useMemberSpaces](hooks.md#usememberspaces)
- [useMembers](hooks.md#usemembers)
- [useModerationItem](hooks.md#usemoderationitem)
- [useModerationItemReporters](hooks.md#usemoderationitemreporters)
- [useModerationItems](hooks.md#usemoderationitems)
- [useModerationSettings](hooks.md#usemoderationsettings)
- [useNetwork](hooks.md#usenetwork)
- [useNewDomainStatus](hooks.md#usenewdomainstatus)
- [useNotifications](hooks.md#usenotifications)
- [useNotificationsCount](hooks.md#usenotificationscount)
- [useOrganizeSpacesInCollection](hooks.md#useorganizespacesincollection)
- [usePinPostToSpace](hooks.md#usepinposttospace)
- [usePinnedPosts](hooks.md#usepinnedposts)
- [usePost](hooks.md#usepost)
- [usePostReactionParticipants](hooks.md#usepostreactionparticipants)
- [usePosts](hooks.md#useposts)
- [useReadNotification](hooks.md#usereadnotification)
- [useReadNotifications](hooks.md#usereadnotifications)
- [useRemoveReaction](hooks.md#useremovereaction)
- [useReplies](hooks.md#usereplies)
- [useRequestSpaceMembership](hooks.md#userequestspacemembership)
- [useResendVerificationCode](hooks.md#useresendverificationcode)
- [useSearch](hooks.md#usesearch)
- [useSendResetPasswordEmail](hooks.md#usesendresetpasswordemail)
- [useSignup](hooks.md#usesignup)
- [useSpace](hooks.md#usespace)
- [useSpaceMembers](hooks.md#usespacemembers)
- [useSpaceMembershipRequests](hooks.md#usespacemembershiprequests)
- [useSpaceRoles](hooks.md#usespaceroles)
- [useSpaceTags](hooks.md#usespacetags)
- [useSpaces](hooks.md#usespaces)
- [useSpacesByIds](hooks.md#usespacesbyids)
- [useSpacesBySlugs](hooks.md#usespacesbyslugs)
- [useSsoMemberships](hooks.md#usessomemberships)
- [useSsoUrl](hooks.md#usessourl)
- [useSsos](hooks.md#usessos)
- [useTransferToNewDomain](hooks.md#usetransfertonewdomain)
- [useUnhidePost](hooks.md#useunhidepost)
- [useUninstallApp](hooks.md#useuninstallapp)
- [useUnpinPostFromSpace](hooks.md#useunpinpostfromspace)
- [useUnsubscribeFromNotification](hooks.md#useunsubscribefromnotification)
- [useUpdateAppNetworkSettings](hooks.md#useupdateappnetworksettings)
- [useUpdateCollection](hooks.md#useupdatecollection)
- [useUpdateCustomSso](hooks.md#useupdatecustomsso)
- [useUpdateDefaultSsoStatus](hooks.md#useupdatedefaultssostatus)
- [useUpdateImage](hooks.md#useupdateimage)
- [useUpdateJwtSso](hooks.md#useupdatejwtsso)
- [useUpdateMember](hooks.md#useupdatemember)
- [useUpdateMemberPostNotificationSettings](hooks.md#useupdatememberpostnotificationsettings)
- [useUpdateMemberSchemaField](hooks.md#useupdatememberschemafield)
- [useUpdateModerationItem](hooks.md#useupdatemoderationitem)
- [useUpdateModerationSettings](hooks.md#useupdatemoderationsettings)
- [useUpdateNetwork](hooks.md#useupdatenetwork)
- [useUpdateNetworkNotificationSettings](hooks.md#useupdatenetworknotificationsettings)
- [useUpdateNewDomain](hooks.md#useupdatenewdomain)
- [useUpdatePasswordWithToken](hooks.md#useupdatepasswordwithtoken)
- [useUpdatePost](hooks.md#useupdatepost)
- [useUpdateSlates](hooks.md#useupdateslates)
- [useUpdateSpace](hooks.md#useupdatespace)
- [useUpdateSpaceHighlightedTags](hooks.md#useupdatespacehighlightedtags)
- [useUpdateSpaceNotificationSettings](hooks.md#useupdatespacenotificationsettings)
- [useUploadFile](hooks.md#useuploadfile)
- [useUpsertTheme](hooks.md#useupserttheme)
- [useValidateLink](hooks.md#usevalidatelink)
- [useValidateToken](hooks.md#usevalidatetoken)
- [useVerifyMember](hooks.md#useverifymember)

## Type aliases

### useUploadFileProps

Ƭ **useUploadFileProps**: () => { `loading`: `boolean` ; `loadingFile`: `Image` ; `uploadFile`: (`file`: `File`, `updater`: (`file`: `Image`) => `void` \| `Promise`<`void`\>) => `Promise`<`void`\>  }

#### Type declaration

▸ (): `Object`

##### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `loading` | `boolean` |
| `loadingFile` | `Image` |
| `uploadFile` | (`file`: `File`, `updater`: (`file`: `Image`) => `void` \| `Promise`<`void`\>) => `Promise`<`void`\> |

#### Defined in

[hooks/utils/useUploadFile.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/utils/useUploadFile.ts#L7)

## Variables

### DefaultFeedLimit

• **DefaultFeedLimit**: ``10``

#### Defined in

[hooks/posts/useFeed.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useFeed.ts#L7)

___

### DefaultMembersLimit

• **DefaultMembersLimit**: ``10``

#### Defined in

[hooks/member/useMembers.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMembers.ts#L11)

___

### DefaultNotificationLimit

• **DefaultNotificationLimit**: ``10``

#### Defined in

[hooks/notifications/useNotifications.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useNotifications.ts#L7)

___

### DefaultSpacesLimit

• **DefaultSpacesLimit**: ``10``

#### Defined in

[hooks/spaces/useSpaces.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useSpaces.ts#L7)

## Functions

### useAddMemberSchemaField

▸ `Const` **useAddMemberSchemaField**(`options?`): `UseMutationResult`<`Network`, `Error`, `MutationAddMemberSchemaFieldArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NetworkFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Network`, `Error`, `MutationAddMemberSchemaFieldArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Network`, `Error`, `MutationAddMemberSchemaFieldArgs`, `unknown`\>

#### Defined in

[hooks/network/useAddMemberSchemaField.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useAddMemberSchemaField.ts#L10)

___

### useAddPost

▸ `Const` **useAddPost**(`options?`): `UseMutationResult`<`Post`, `ClientError`, `MutationCreatePostArgs`, { `snapshot`: [`QueryKey`, `InfiniteData`<`PaginatedPost`\>][]  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Post`, `ClientError`, `MutationCreatePostArgs`, { `snapshot`: [`QueryKey`, `InfiniteData`<`PaginatedPost`\>][]  }\> |

#### Returns

`UseMutationResult`<`Post`, `ClientError`, `MutationCreatePostArgs`, { `snapshot`: [`QueryKey`, `InfiniteData`<`PaginatedPost`\>][]  }\>

#### Defined in

[hooks/posts/useAddPost.ts:27](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useAddPost.ts#L27)

___

### useAddReaction

▸ `Const` **useAddReaction**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationAddReactionArgs`, `Snapshot`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationAddReactionArgs`, `Snapshot`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationAddReactionArgs`, `Snapshot`\>

#### Defined in

[hooks/posts/useAddReaction.ts:29](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useAddReaction.ts#L29)

___

### useAddReply

▸ `Const` **useAddReply**(`options?`): `UseMutationResult`<`Post`, `ClientError`, `MutationCreateReplyArgs`, `Snapshot`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Post`, `ClientError`, `MutationCreateReplyArgs`, `Snapshot`\> |

#### Returns

`UseMutationResult`<`Post`, `ClientError`, `MutationCreateReplyArgs`, `Snapshot`\>

#### Defined in

[hooks/posts/useAddReply.ts:113](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useAddReply.ts#L113)

___

### useAddSpaceMember

▸ `Const` **useAddSpaceMember**(`options?`): `UseMutationResult`<`SpaceMember`[], `ClientError`, `MutationAddSpaceMembersArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`SpaceMember`[], `ClientError`, `MutationAddSpaceMembersArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`SpaceMember`[], `ClientError`, `MutationAddSpaceMembersArgs`, `unknown`\>

#### Defined in

[hooks/spaceMembers/useAddSpaceMember.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembers/useAddSpaceMember.ts#L11)

___

### useApp

▸ `Const` **useApp**(`options`): `UseQueryResult`<`App`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`App`, `unknown`, `App`, `QueryKey`\> |
| `options.variables` | `QueryAppArgs` |

#### Returns

`UseQueryResult`<`App`, `unknown`\>

#### Defined in

[hooks/app/useApp.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useApp.ts#L10)

___

### useAppInstallations

▸ `Const` **useAppInstallations**(`options`): `UseInfiniteQueryResult`<`PaginatedAppInstallation`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `AppInstallationFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedAppInstallation`, `unknown`, `PaginatedAppInstallation`, `PaginatedAppInstallation`, `QueryKey`\> |
| `options.variables` | `QueryGetNetworkAppInstallationsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedAppInstallation`, `unknown`\>

#### Defined in

[hooks/app/useAppInstallations.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useAppInstallations.ts#L11)

___

### useAppNetworkSettings

▸ `Const` **useAppNetworkSettings**(`options`): `UseQueryResult`<`string`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`string`, `unknown`, `string`, `QueryKey`\> |
| `options.variables` | `QueryGetAppNetworkSettingsArgs` |

#### Returns

`UseQueryResult`<`string`, `unknown`\>

#### Defined in

[hooks/app/useAppNetworkSettings.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useAppNetworkSettings.ts#L9)

___

### useAppSpaceSettings

▸ `Const` **useAppSpaceSettings**(`options`): `UseQueryResult`<`string`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`string`, `unknown`, `string`, `QueryKey`\> |
| `options.variables` | `QueryGetAppSpaceSettingsArgs` |

#### Returns

`UseQueryResult`<`string`, `unknown`\>

#### Defined in

[hooks/app/useAppSpaceSettings.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useAppSpaceSettings.ts#L9)

___

### useApproveSpaceMembershipRequest

▸ `Const` **useApproveSpaceMembershipRequest**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationApproveSpaceMembershipRequestArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationApproveSpaceMembershipRequestArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationApproveSpaceMembershipRequestArgs`, `unknown`\>

#### Defined in

[hooks/spaceMembership/useApproveSpaceMembershipRequest.ts:15](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembership/useApproveSpaceMembershipRequest.ts#L15)

___

### useApps

▸ `Const` **useApps**(`options`): `UseInfiniteQueryResult`<`PaginatedApp`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedApp`, `unknown`, `PaginatedApp`, `PaginatedApp`, `QueryKey`\> |
| `options.variables` | `QueryAppsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedApp`, `unknown`\>

#### Defined in

[hooks/app/useApps.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useApps.ts#L8)

___

### useArchiveMemberSchemaField

▸ `Const` **useArchiveMemberSchemaField**(`options?`): `UseMutationResult`<`Network`, `Error`, `MutationArchiveMemberSchemaFieldArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NetworkFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Network`, `Error`, `MutationArchiveMemberSchemaFieldArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Network`, `Error`, `MutationArchiveMemberSchemaFieldArgs`, `unknown`\>

#### Defined in

[hooks/network/useArchiveMemberSchemaField.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useArchiveMemberSchemaField.ts#L10)

___

### useAuthMember

▸ `Const` **useAuthMember**(`options?`): { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  }

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields` | `MemberFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Member`, `unknown`, `Member`, `QueryKey`\> |

#### Returns

{ `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  } \| { `isAdmin`: `boolean` ; `isGuest`: `boolean` ; `isModerator`: `boolean`  }

#### Defined in

[hooks/auth/useAuthMember.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useAuthMember.ts#L10)

___

### useAuthMemberSessions

▸ `Const` **useAuthMemberSessions**(`options?`): `UseQueryResult`<`Member`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields` | ``"basic"`` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Member`, `unknown`, `Member`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`Member`, `unknown`\>

#### Defined in

[hooks/auth/useAuthMemberSessions.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useAuthMemberSessions.ts#L7)

___

### useAuthToken

▸ `Const` **useAuthToken**(`options?`): `UseQueryResult`<`AuthToken`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AuthTokenFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`AuthToken`, `unknown`, `AuthToken`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`AuthToken`, `unknown`\>

#### Defined in

[hooks/auth/useAuthToken.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useAuthToken.ts#L10)

___

### useCancelEmailUpdate

▸ `Const` **useCancelEmailUpdate**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationCancelEmailUpdateArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationCancelEmailUpdateArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationCancelEmailUpdateArgs`, `unknown`\>

#### Defined in

[hooks/member/useCancelEmailUpdate.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useCancelEmailUpdate.ts#L12)

___

### useClearNewDomain

▸ `Const` **useClearNewDomain**(`options?`): `UseMutationResult`<`Action`, `Error`, `void`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `Error`, `void`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `Error`, `void`, `unknown`\>

#### Defined in

[hooks/network/useClearNewDomain.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useClearNewDomain.ts#L7)

___

### useClearNotificationsCount

▸ `Const` **useClearNotificationsCount**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `void`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `void`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `void`, `unknown`\>

#### Defined in

[hooks/notifications/useClearNotificationsCount.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useClearNotificationsCount.ts#L11)

___

### useCollection

▸ `Const` **useCollection**(`options`): `UseQueryResult`<`Collection`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `CollectionFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Collection`, `unknown`, `Collection`, `QueryKey`\> |
| `options.variables?` | `QueryCollectionArgs` |

#### Returns

`UseQueryResult`<`Collection`, `unknown`\>

#### Defined in

[hooks/collections/useCollection.ts:14](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useCollection.ts#L14)

___

### useCollections

▸ `Const` **useCollections**(`options`): `UseQueryResult`<`Collection`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `CollectionFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Collection`[], `unknown`, `Collection`[], `QueryKey`\> |
| `options.variables?` | `QueryCollectionsArgs` |

#### Returns

`UseQueryResult`<`Collection`[], `unknown`\>

#### Defined in

[hooks/collections/useCollections.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useCollections.ts#L7)

___

### useConfirmResetPassword

▸ `Const` **useConfirmResetPassword**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationConfirmResetPasswordArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationConfirmResetPasswordArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationConfirmResetPasswordArgs`, `unknown`\>

#### Defined in

[hooks/auth/useConfirmResetPassword.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useConfirmResetPassword.ts#L10)

___

### useCreateCollection

▸ `Const` **useCreateCollection**(`options?`): `UseMutationResult`<`Collection`, `ClientError`, `MutationCreateCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `CollectionFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Collection`, `ClientError`, `MutationCreateCollectionArgs`, { `snapshot`: `Collection`  }\> |

#### Returns

`UseMutationResult`<`Collection`, `ClientError`, `MutationCreateCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Defined in

[hooks/collections/useCreateCollection.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useCreateCollection.ts#L7)

___

### useCreateEmojis

▸ `Const` **useCreateEmojis**(`options?`): `UseMutationResult`<`Emoji`[], `ClientError`, `CreateEmojiInput`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Emoji`[], `ClientError`, `CreateEmojiInput`[], `unknown`\> |

#### Returns

`UseMutationResult`<`Emoji`[], `ClientError`, `CreateEmojiInput`[], `unknown`\>

#### Defined in

[hooks/media/useCreateEmojis.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/media/useCreateEmojis.ts#L8)

___

### useCreateFiles

▸ `Const` **useCreateFiles**(`options?`): `UseMutationResult`<`File`[], `ClientError`, `AttachmentUploadType`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.errorHandler?` | `ClientAttachmentErrorHandler` |
| `options.useMutationOptions?` | `UseMutationOptions`<`File`[], `ClientError`, `AttachmentUploadType`, `unknown`\> |

#### Returns

`UseMutationResult`<`File`[], `ClientError`, `AttachmentUploadType`, `unknown`\>

#### Defined in

[hooks/media/useCreateFiles.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/media/useCreateFiles.ts#L11)

___

### useCreateImages

▸ `Const` **useCreateImages**(`options?`): `UseMutationResult`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\> |

#### Returns

`UseMutationResult`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\>

#### Defined in

[hooks/media/useCreateImages.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/media/useCreateImages.ts#L8)

___

### useCreateSpace

▸ `Const` **useCreateSpace**(`options?`): `UseMutationResult`<`Space`, `Error`, `MutationCreateSpaceArgs`, { `snapshot`: `Space`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Space`, `Error`, `MutationCreateSpaceArgs`, { `snapshot`: `Space`  }\> |

#### Returns

`UseMutationResult`<`Space`, `Error`, `MutationCreateSpaceArgs`, { `snapshot`: `Space`  }\>

#### Defined in

[hooks/spaces/useCreateSpace.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useCreateSpace.ts#L12)

___

### useDeclineSpaceMembershipRequest

▸ `Const` **useDeclineSpaceMembershipRequest**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeclineSpaceMembershipRequestArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeclineSpaceMembershipRequestArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeclineSpaceMembershipRequestArgs`, `unknown`\>

#### Defined in

[hooks/spaceMembership/useDeclineSpaceMembershipRequest.ts:15](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembership/useDeclineSpaceMembershipRequest.ts#L15)

___

### useDeleteCollection

▸ `Const` **useDeleteCollection**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeleteCollectionArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `ActionFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeleteCollectionArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeleteCollectionArgs`, `unknown`\>

#### Defined in

[hooks/collections/useDeleteCollection.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useDeleteCollection.ts#L16)

___

### useDeleteMember

▸ `Const` **useDeleteMember**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeleteMemberArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `ActionFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeleteMemberArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeleteMemberArgs`, `unknown`\>

#### Defined in

[hooks/member/useDeleteMember.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useDeleteMember.ts#L16)

___

### useDeleteNotification

▸ `Const` **useDeleteNotification**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeleteNotificationArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeleteNotificationArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeleteNotificationArgs`, `unknown`\>

#### Defined in

[hooks/notifications/useDeleteNotification.ts:15](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useDeleteNotification.ts#L15)

___

### useDeleteNotifications

▸ `Const` **useDeleteNotifications**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeleteNotificationsArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeleteNotificationsArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeleteNotificationsArgs`, `unknown`\>

#### Defined in

[hooks/notifications/useDeleteNotifications.ts:15](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useDeleteNotifications.ts#L15)

___

### useDeletePost

▸ `Const` **useDeletePost**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeletePostArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `ActionFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeletePostArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeletePostArgs`, `unknown`\>

#### Defined in

[hooks/posts/useDeletePost.ts:19](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useDeletePost.ts#L19)

___

### useDeleteSsoMembership

▸ `Const` **useDeleteSsoMembership**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationDeleteSsoMembershipArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationDeleteSsoMembershipArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationDeleteSsoMembershipArgs`, `unknown`\>

#### Defined in

[hooks/auth/useDeleteSsoMembership.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useDeleteSsoMembership.ts#L10)

___

### useDomainAvailability

▸ `Const` **useDomainAvailability**(): `Object`

#### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `checkDomainAvailability` | (`domain`: `string`) => `Promise`<`DomainAvailability`\> |
| `isLoading` | `boolean` |

#### Defined in

[hooks/network/useDomainAvailability.ts:5](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useDomainAvailability.ts#L5)

___

### useEmbed

▸ `Const` **useEmbed**(`options?`): { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed }

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Embed`, `ClientError`, `Embed`, `QueryKey`\> |
| `options.variables?` | `EmbedInput` |

#### Returns

{ `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed } \| { `asyncQuery`: (`variables`: `EmbedInput`) => `Promise`<`Embed`\> = asyncEmbed }

#### Defined in

[hooks/media/useEmbed.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/media/useEmbed.ts#L10)

___

### useFeed

▸ `Const` **useFeed**(`options`): `UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedPost`, `unknown`, `PaginatedPost`, `PaginatedPost`, `QueryKey`\> |
| `options.variables` | `QueryFeedArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Defined in

[hooks/posts/useFeed.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useFeed.ts#L9)

___

### useGlobalAddAppCollaborator

▸ `Const` **useGlobalAddAppCollaborator**(`options?`): `UseMutationResult`<`AppCollaborator`, `ClientError`, `MutationGlobalAddAppCollaboratorArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AppCollaborator`, `ClientError`, `MutationGlobalAddAppCollaboratorArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`AppCollaborator`, `ClientError`, `MutationGlobalAddAppCollaboratorArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalAddAppCollaborator.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalAddAppCollaborator.ts#L11)

___

### useGlobalApp

▸ `Const` **useGlobalApp**(`options`): `UseQueryResult`<`App`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `GlobalAppFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`App`, `unknown`, `App`, `QueryKey`\> |
| `options.variables` | `QueryGlobalAppArgs` |

#### Returns

`UseQueryResult`<`App`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalApp.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalApp.ts#L10)

___

### useGlobalAppCollaborators

▸ `Const` **useGlobalAppCollaborators**(`options`): `UseQueryResult`<`AppCollaborator`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `AppCollaboratorFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`AppCollaborator`[], `unknown`, `AppCollaborator`[], `QueryKey`\> |
| `options.variables` | `QueryGlobalAppCollaboratorsArgs` |

#### Returns

`UseQueryResult`<`AppCollaborator`[], `unknown`\>

#### Defined in

[hooks/dev/useGlobalAppCollaborators.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalAppCollaborators.ts#L13)

___

### useGlobalAppPublications

▸ `Const` **useGlobalAppPublications**(`options`): `UseQueryResult`<`AppPublication`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | ``"basic"`` |
| `options.useQueryOptions?` | `UseQueryOptions`<`AppPublication`[], `unknown`, `AppPublication`[], `QueryKey`\> |
| `options.variables` | `QueryGlobalAppPublicationsArgs` |

#### Returns

`UseQueryResult`<`AppPublication`[], `unknown`\>

#### Defined in

[hooks/dev/useGlobalAppPublications.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalAppPublications.ts#L13)

___

### useGlobalApps

▸ `Const` **useGlobalApps**(`options`): `UseInfiniteQueryResult`<`PaginatedApp`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedApp`, `unknown`, `PaginatedApp`, `PaginatedApp`, `QueryKey`\> |
| `options.variables` | `QueryGlobalAppsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedApp`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalApps.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalApps.ts#L11)

___

### useGlobalCreateApp

▸ `Const` **useGlobalCreateApp**(`options?`): `UseMutationResult`<`App`, `Error`, `MutationGlobalCreateAppArgs`, { `snapshot`: `App`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`App`, `Error`, `MutationGlobalCreateAppArgs`, { `snapshot`: `App`  }\> |

#### Returns

`UseMutationResult`<`App`, `Error`, `MutationGlobalCreateAppArgs`, { `snapshot`: `App`  }\>

#### Defined in

[hooks/dev/useGlobalCreateApp.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalCreateApp.ts#L7)

___

### useGlobalCreateImages

▸ `Const` **useGlobalCreateImages**(`options?`): `UseMutationResult`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\> |

#### Returns

`UseMutationResult`<`Image`[], `ClientError`, `UploadImagesArgs`[], `unknown`\>

#### Defined in

[hooks/dev/useGlobalCreateImages.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalCreateImages.ts#L8)

___

### useGlobalDeleteApp

▸ `Const` **useGlobalDeleteApp**(`options?`): `UseMutationResult`<`App`, `Error`, `MutationGlobalDeleteAppArgs`, { `snapshot`: `App`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`App`, `Error`, `MutationGlobalDeleteAppArgs`, { `snapshot`: `App`  }\> |

#### Returns

`UseMutationResult`<`App`, `Error`, `MutationGlobalDeleteAppArgs`, { `snapshot`: `App`  }\>

#### Defined in

[hooks/dev/useGlobalDeleteApp.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalDeleteApp.ts#L7)

___

### useGlobalEventTypes

▸ `Const` **useGlobalEventTypes**(`options`): `UseQueryResult`<`EventType`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `EventTypeFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`EventType`[], `unknown`, `EventType`[], `QueryKey`\> |
| `options.variables` | `any` |

#### Returns

`UseQueryResult`<`EventType`[], `unknown`\>

#### Defined in

[hooks/dev/useGlobalEventTypes.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalEventTypes.ts#L9)

___

### useGlobalNetworks

▸ `Const` **useGlobalNetworks**(`options`): `UseInfiniteQueryResult`<`PaginatedNetwork`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PluralNetworkFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedNetwork`, `unknown`, `PaginatedNetwork`, `PaginatedNetwork`, `QueryKey`\> |
| `options.variables` | `QueryGlobalNetworksArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedNetwork`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalNetworks.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalNetworks.ts#L11)

___

### useGlobalPublishAppPrivately

▸ `Const` **useGlobalPublishAppPrivately**(`options?`): `UseMutationResult`<`AppPublication`, `ClientError`, `MutationGlobalPublishAppPrivatelyArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AppPublication`, `ClientError`, `MutationGlobalPublishAppPrivatelyArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`AppPublication`, `ClientError`, `MutationGlobalPublishAppPrivatelyArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalPublishAppPrivately.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalPublishAppPrivately.ts#L11)

___

### useGlobalRegenerateClientSecret

▸ `Const` **useGlobalRegenerateClientSecret**(`options?`): `UseMutationResult`<`App`, `ClientError`, `MutationGlobalRegenerateClientSecretArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`App`, `ClientError`, `MutationGlobalRegenerateClientSecretArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`App`, `ClientError`, `MutationGlobalRegenerateClientSecretArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalRegenerateClientSecret.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalRegenerateClientSecret.ts#L11)

___

### useGlobalRemoveAppCollaborator

▸ `Const` **useGlobalRemoveAppCollaborator**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationGlobalRemoveAppCollaboratorArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationGlobalRemoveAppCollaboratorArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationGlobalRemoveAppCollaboratorArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalRemoveAppCollaborator.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalRemoveAppCollaborator.ts#L11)

___

### useGlobalTestAppWebhook

▸ `Const` **useGlobalTestAppWebhook**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationGlobalTestAppWebhookArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationGlobalTestAppWebhookArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationGlobalTestAppWebhookArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalTestAppWebhook.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalTestAppWebhook.ts#L10)

___

### useGlobalUnPublishAppPrivately

▸ `Const` **useGlobalUnPublishAppPrivately**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationGlobalUnPublishAppPrivatelyArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationGlobalUnPublishAppPrivatelyArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationGlobalUnPublishAppPrivatelyArgs`, `unknown`\>

#### Defined in

[hooks/dev/useGlobalUnPublishAppPrivately.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalUnPublishAppPrivately.ts#L11)

___

### useGlobalUpdateApp

▸ `Const` **useGlobalUpdateApp**(`options?`): `UseMutationResult`<`App`, `Error`, `MutationGlobalUpdateAppArgs`, { `snapshot`: `App`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AppFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`App`, `Error`, `MutationGlobalUpdateAppArgs`, { `snapshot`: `App`  }\> |

#### Returns

`UseMutationResult`<`App`, `Error`, `MutationGlobalUpdateAppArgs`, { `snapshot`: `App`  }\>

#### Defined in

[hooks/dev/useGlobalUpdateApp.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/dev/useGlobalUpdateApp.ts#L7)

___

### useHidePost

▸ `Const` **useHidePost**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationHidePostArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationHidePostArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationHidePostArgs`, `unknown`\>

#### Defined in

[hooks/posts/useHidePost.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useHidePost.ts#L9)

___

### useInstallApp

▸ `Const` **useInstallApp**(`options?`): `UseMutationResult`<`AppInstallation`, `ClientError`, `MutationInstallAppArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AppInstallationFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AppInstallation`, `ClientError`, `MutationInstallAppArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`AppInstallation`, `ClientError`, `MutationInstallAppArgs`, `unknown`\>

#### Defined in

[hooks/app/useInstallApp.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useInstallApp.ts#L13)

___

### useInvitationLink

▸ `Const` **useInvitationLink**(`options?`): `UseQueryResult`<`MemberInvitationLink`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`MemberInvitationLink`, `unknown`, `MemberInvitationLink`, `QueryKey`\> |
| `options.variables` | `QueryInvitationLinkValidityArgs` |

#### Returns

`UseQueryResult`<`MemberInvitationLink`, `unknown`\>

#### Defined in

[hooks/auth/useInvitationLink.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useInvitationLink.ts#L10)

___

### useInviteMembers

▸ `Const` **useInviteMembers**(`options?`): `UseMutationResult`<`MemberInvitation`[], `ClientError`, `MutationInviteMembersArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `MemberInvitationFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`MemberInvitation`[], `ClientError`, `MutationInviteMembersArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`MemberInvitation`[], `ClientError`, `MutationInviteMembersArgs`, `unknown`\>

#### Defined in

[hooks/auth/useInviteMembers.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useInviteMembers.ts#L10)

___

### useJoinNetwork

▸ `Const` **useJoinNetwork**(`options?`): `UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkArgs`, { `snapshot`: `AuthToken`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AuthTokenFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AuthToken`, `ClientError`, `MutationJoinNetworkArgs`, { `snapshot`: `AuthToken`  }\> |

#### Returns

`UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkArgs`, { `snapshot`: `AuthToken`  }\>

#### Defined in

[hooks/auth/useJoinNetwork.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useJoinNetwork.ts#L11)

___

### useJoinNetworkWithLink

▸ `Const` **useJoinNetworkWithLink**(`options?`): `UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithInvitationLinkArgs`, { `snapshot`: `AuthToken`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AuthTokenFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithInvitationLinkArgs`, { `snapshot`: `AuthToken`  }\> |

#### Returns

`UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithInvitationLinkArgs`, { `snapshot`: `AuthToken`  }\>

#### Defined in

[hooks/auth/useJoinNetworkWithLink.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useJoinNetworkWithLink.ts#L11)

___

### useJoinNetworkWithToken

▸ `Const` **useJoinNetworkWithToken**(`options?`): `UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithTokenArgs`, { `snapshot`: `AuthToken`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AuthTokenFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithTokenArgs`, { `snapshot`: `AuthToken`  }\> |

#### Returns

`UseMutationResult`<`AuthToken`, `ClientError`, `MutationJoinNetworkWithTokenArgs`, { `snapshot`: `AuthToken`  }\>

#### Defined in

[hooks/auth/useJoinNetworkWithToken.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useJoinNetworkWithToken.ts#L11)

___

### useJoinSpace

▸ `Const` **useJoinSpace**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationJoinSpaceArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationJoinSpaceArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationJoinSpaceArgs`, `unknown`\>

#### Defined in

[hooks/spaces/useJoinSpace.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useJoinSpace.ts#L12)

___

### useLeaderboard

▸ `Const` **useLeaderboard**(`options`): `UseQueryResult`<`Member`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.args` | `QueryLeaderboardArgs` |
| `options.fields?` | `MemberFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Member`[], `unknown`, `Member`[], `QueryKey`\> |

#### Returns

`UseQueryResult`<`Member`[], `unknown`\>

#### Defined in

[hooks/member/useLeaderboard.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useLeaderboard.ts#L10)

___

### useLeaveSpace

▸ `Const` **useLeaveSpace**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationLeaveSpaceArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationLeaveSpaceArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationLeaveSpaceArgs`, `unknown`\>

#### Defined in

[hooks/spaces/useLeaveSpace.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useLeaveSpace.ts#L12)

___

### useLogin

▸ `Const` **useLogin**(): `Object`

#### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `isLoading` | `boolean` |
| `login` | `Login` |

#### Defined in

[hooks/auth/useLogin.ts:25](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useLogin.ts#L25)

___

### useLoginWithSso

▸ `Const` **useLoginWithSso**(`options?`): `Object`

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SsoUrl`, `unknown`, `SsoUrl`, `QueryKey`\> |

#### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `isLoading` | `boolean` |
| `login` | (`variables`: `QuerySsoUrlArgs`) => `Promise`<`SsoUrl`\> |

#### Defined in

[hooks/auth/useLoginWithSso.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useLoginWithSso.ts#L9)

___

### useLogout

▸ `Const` **useLogout**(`options?`): `UseMutationResult`<`Action`, `Error`, `MutationLogoutNetworkArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `Error`, `MutationLogoutNetworkArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `Error`, `MutationLogoutNetworkArgs`, `unknown`\>

#### Defined in

[hooks/auth/useLogout.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useLogout.ts#L11)

___

### useMember

▸ `Const` **useMember**(`options`): `UseQueryResult`<`Member`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `MemberFields` |
| `options.id` | `string` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Member`, `unknown`, `Member`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`Member`, `unknown`\>

#### Defined in

[hooks/member/useMember.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMember.ts#L10)

___

### useMemberInvitations

▸ `Const` **useMemberInvitations**(`options`): `UseInfiniteQueryResult`<`PaginatedMemberInvitation`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `MemberInvitationFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedMemberInvitation`, `unknown`, `PaginatedMemberInvitation`, `PaginatedMemberInvitation`, `QueryKey`\> |
| `options.variables` | `QueryMemberInvitationsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedMemberInvitation`, `unknown`\>

#### Defined in

[hooks/auth/useMemberInvitations.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useMemberInvitations.ts#L11)

___

### useMemberNotificationSettings

▸ `Const` **useMemberNotificationSettings**(`options?`): `UseQueryResult`<`MemberNotificationSettings`, `ClientError`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`MemberNotificationSettings`, `ClientError`, `MemberNotificationSettings`, `QueryKey`\> |
| `options.variables?` | `QueryMemberNotificationSettingsArgs` |

#### Returns

`UseQueryResult`<`MemberNotificationSettings`, `ClientError`\>

#### Defined in

[hooks/member/useMemberNotificationSettings.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMemberNotificationSettings.ts#L13)

___

### useMemberPostNotificationSettings

▸ `Const` **useMemberPostNotificationSettings**(`options?`): `UseQueryResult`<`MemberPostNotificationSettings`, `ClientError`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`MemberPostNotificationSettings`, `ClientError`, `MemberPostNotificationSettings`, `QueryKey`\> |
| `options.variables?` | `QueryMemberPostNotificationSettingsArgs` |

#### Returns

`UseQueryResult`<`MemberPostNotificationSettings`, `ClientError`\>

#### Defined in

[hooks/notifications/useMemberPostNotificationSettings.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useMemberPostNotificationSettings.ts#L13)

___

### useMemberPosts

▸ `Const` **useMemberPosts**(`options`): `UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedPost`, `unknown`, `PaginatedPost`, `PaginatedPost`, `QueryKey`\> |
| `options.variables` | `QueryMemberPostsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Defined in

[hooks/member/useMemberPosts.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMemberPosts.ts#L11)

___

### useMemberSpaceMembershipRequest

▸ `Const` **useMemberSpaceMembershipRequest**(`options`): `UseQueryResult`<`SpaceJoinRequest`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `SpaceJoinRequestFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SpaceJoinRequest`[], `unknown`, `SpaceJoinRequest`[], `QueryKey`\> |
| `options.variables?` | `QueryMemberSpaceMembershipRequestArgs` |

#### Returns

`UseQueryResult`<`SpaceJoinRequest`[], `unknown`\>

#### Defined in

[hooks/spaceMembership/useMemberSpaceMembershipRequest.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembership/useMemberSpaceMembershipRequest.ts#L13)

___

### useMemberSpaces

▸ `Const` **useMemberSpaces**(`options?`): `UseInfiniteQueryResult`<`PaginatedSpaceMember`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceMemberFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedSpaceMember`, `unknown`, `PaginatedSpaceMember`, `PaginatedSpaceMember`, `QueryKey`\> |
| `options.variables?` | `QueryMemberSpacesArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedSpaceMember`, `unknown`\>

#### Defined in

[hooks/spaces/useMemberSpaces.ts:14](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useMemberSpaces.ts#L14)

___

### useMembers

▸ `Const` **useMembers**(`options?`): `UseInfiniteQueryResult`<`PaginatedMember`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `MemberFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedMember`, `unknown`, `PaginatedMember`, `PaginatedMember`, `QueryKey`\> |
| `options.variables?` | `QueryMembersArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedMember`, `unknown`\>

#### Defined in

[hooks/member/useMembers.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMembers.ts#L13)

___

### useModerationItem

▸ `Const` **useModerationItem**(`options`): `UseQueryResult`<`ModerationItem`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `ModerationItemFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`ModerationItem`, `unknown`, `ModerationItem`, `QueryKey`\> |
| `options.variables` | `QueryModerationItemArgs` |

#### Returns

`UseQueryResult`<`ModerationItem`, `unknown`\>

#### Defined in

[hooks/moderation/useModerationItem.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useModerationItem.ts#L13)

___

### useModerationItemReporters

▸ `Const` **useModerationItemReporters**(`options`): `UseInfiniteQueryResult`<`PaginatedModerationItemReporter`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `ModerationItemReporterFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedModerationItemReporter`, `unknown`, `PaginatedModerationItemReporter`, `PaginatedModerationItemReporter`, `QueryKey`\> |
| `options.variables` | `QueryModerationItemReportersArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedModerationItemReporter`, `unknown`\>

#### Defined in

[hooks/moderation/useModerationItemReporters.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useModerationItemReporters.ts#L11)

___

### useModerationItems

▸ `Const` **useModerationItems**(`options`): `UseInfiniteQueryResult`<`PaginatedModeration`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `ModerationItemFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedModeration`, `unknown`, `PaginatedModeration`, `PaginatedModeration`, `QueryKey`\> |
| `options.variables` | `QueryModerationItemsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedModeration`, `unknown`\>

#### Defined in

[hooks/moderation/useModerationItems.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useModerationItems.ts#L11)

___

### useModerationSettings

▸ `Const` **useModerationSettings**(`options?`): `UseQueryResult`<`ModerationSettings`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`ModerationSettings`, `unknown`, `ModerationSettings`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`ModerationSettings`, `unknown`\>

#### Defined in

[hooks/moderation/useModerationSettings.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useModerationSettings.ts#L9)

___

### useNetwork

▸ `Const` **useNetwork**(`options?`): `UseQueryResult`<`Network`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NetworkFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Network`, `unknown`, `Network`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`Network`, `unknown`\>

#### Defined in

[hooks/network/useNetwork.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useNetwork.ts#L10)

___

### useNewDomainStatus

▸ `Const` **useNewDomainStatus**(`options?`): `UseQueryResult`<`DomainTransferStatus`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`DomainTransferStatus`, `unknown`, `DomainTransferStatus`, `QueryKey`\> |
| `options.variables` | `QueryNewDomainStatusArgs` |

#### Returns

`UseQueryResult`<`DomainTransferStatus`, `unknown`\>

#### Defined in

[hooks/network/useNewDomainStatus.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useNewDomainStatus.ts#L10)

___

### useNotifications

▸ `Const` **useNotifications**(`options`): `UseInfiniteQueryResult`<`PaginatedNotification`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `NotificationFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedNotification`, `unknown`, `PaginatedNotification`, `PaginatedNotification`, `QueryKey`\> |
| `options.variables` | `QueryNotificationsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedNotification`, `unknown`\>

#### Defined in

[hooks/notifications/useNotifications.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useNotifications.ts#L9)

___

### useNotificationsCount

▸ `Const` **useNotificationsCount**(): `UseQueryResult`<`number`, `unknown`\>

#### Returns

`UseQueryResult`<`number`, `unknown`\>

#### Defined in

[hooks/notifications/useNotificationsCount.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useNotificationsCount.ts#L7)

___

### useOrganizeSpacesInCollection

▸ `Const` **useOrganizeSpacesInCollection**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationOrganizeSpacesInCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationOrganizeSpacesInCollectionArgs`, { `snapshot`: `Collection`  }\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationOrganizeSpacesInCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Defined in

[hooks/collections/useOrganizeSpacesInCollection.ts:17](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useOrganizeSpacesInCollection.ts#L17)

___

### usePinPostToSpace

▸ `Const` **usePinPostToSpace**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationPinPostToSpaceArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationPinPostToSpaceArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationPinPostToSpaceArgs`, `unknown`\>

#### Defined in

[hooks/posts/usePinPostToSpace.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/usePinPostToSpace.ts#L16)

___

### usePinnedPosts

▸ `Const` **usePinnedPosts**(`options`): `UseQueryResult`<`Post`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Post`[], `unknown`, `Post`[], `QueryKey`\> |
| `options.variables?` | `QuerySpacePinnedPostsArgs` |

#### Returns

`UseQueryResult`<`Post`[], `unknown`\>

#### Defined in

[hooks/spaces/usePinnedPosts.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/usePinnedPosts.ts#L11)

___

### usePost

▸ `Const` **usePost**(`options`): `UseQueryResult`<`Post`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.id` | `string` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Post`, `unknown`, `Post`, `QueryKey`\> |

#### Returns

`UseQueryResult`<`Post`, `unknown`\>

#### Defined in

[hooks/posts/usePost.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/usePost.ts#L11)

___

### usePostReactionParticipants

▸ `Const` **usePostReactionParticipants**(`options`): `UseInfiniteQueryResult`<`PaginatedPostReactionParticipant`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `MemberFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedPostReactionParticipant`, `unknown`, `PaginatedPostReactionParticipant`, `PaginatedPostReactionParticipant`, `QueryKey`\> |
| `options.variables` | `QueryPostReactionParticipantsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedPostReactionParticipant`, `unknown`\>

#### Defined in

[hooks/posts/usePostReactionParticipants.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/usePostReactionParticipants.ts#L11)

___

### usePosts

▸ `Const` **usePosts**(`options`): `UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedPost`, `unknown`, `PaginatedPost`, `PaginatedPost`, `QueryKey`\> |
| `options.variables` | `QueryPostsArgs` \| `QueryTagPostsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Defined in

[hooks/posts/usePosts.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/usePosts.ts#L12)

___

### useReadNotification

▸ `Const` **useReadNotification**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationReadNotificationArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationReadNotificationArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationReadNotificationArgs`, `unknown`\>

#### Defined in

[hooks/notifications/useReadNotification.ts:18](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useReadNotification.ts#L18)

___

### useReadNotifications

▸ `Const` **useReadNotifications**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationReadNotificationsArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationReadNotificationsArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationReadNotificationsArgs`, `unknown`\>

#### Defined in

[hooks/notifications/useReadNotifications.ts:18](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useReadNotifications.ts#L18)

___

### useRemoveReaction

▸ `Const` **useRemoveReaction**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationRemoveReactionArgs`, `Snapshot`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationRemoveReactionArgs`, `Snapshot`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationRemoveReactionArgs`, `Snapshot`\>

#### Defined in

[hooks/posts/useRemoveReaction.ts:28](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useRemoveReaction.ts#L28)

___

### useReplies

▸ `Const` **useReplies**(`options`): `UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedPost`, `unknown`, `PaginatedPost`, `PaginatedPost`, `QueryKey`\> |
| `options.variables` | `QueryRepliesArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedPost`, `unknown`\>

#### Defined in

[hooks/posts/useReplies.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useReplies.ts#L11)

___

### useRequestSpaceMembership

▸ `Const` **useRequestSpaceMembership**(`options?`): `UseMutationResult`<`SpaceJoinRequest`, `ClientError`, `MutationRequestSpaceMembershipArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`SpaceJoinRequest`, `ClientError`, `MutationRequestSpaceMembershipArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`SpaceJoinRequest`, `ClientError`, `MutationRequestSpaceMembershipArgs`, `unknown`\>

#### Defined in

[hooks/spaceMembership/useRequestSpaceMembership.ts:15](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembership/useRequestSpaceMembership.ts#L15)

___

### useResendVerificationCode

▸ `Const` **useResendVerificationCode**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `void`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `void`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `void`, `unknown`\>

#### Defined in

[hooks/auth/useResendVerificationCode.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useResendVerificationCode.ts#L8)

___

### useSearch

▸ `Const` **useSearch**(`options?`): { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch }

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SearchEntityFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SearchResult`, `ClientError`, `SearchResult`, `QueryKey`\> |
| `options.variables?` | `QuerySearchArgs` |

#### Returns

{ `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch } \| { `asyncQuery`: (`variables`: `QuerySearchArgs`) => `Promise`<`SearchResult`\> = asyncSearch }

#### Defined in

[hooks/useSearch.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/useSearch.ts#L10)

___

### useSendResetPasswordEmail

▸ `Const` **useSendResetPasswordEmail**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationSendResetPasswordEmailArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationSendResetPasswordEmailArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationSendResetPasswordEmailArgs`, `unknown`\>

#### Defined in

[hooks/auth/useSendResetPasswordEmail.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useSendResetPasswordEmail.ts#L11)

___

### useSignup

▸ `Const` **useSignup**(`props?`): `Object`

#### Parameters

| Name | Type |
| :------ | :------ |
| `props?` | `Object` |
| `props.invitationLinkId?` | `string` |
| `props.invitationToken?` | `string` |

#### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `isLoading` | `boolean` |
| `mutateAsync` | (`variables`: `Variables`, `useMutationOptions?`: `UseMutationOptions`<`AuthToken`, `ClientError`, `Variables`, { `snapshot`: `AuthToken`  }\>) => `Promise`<`AuthToken`\> |

#### Defined in

[hooks/utils/useSignup.ts:21](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/utils/useSignup.ts#L21)

___

### useSpace

▸ `Const` **useSpace**(`options`): `UseQueryResult`<`Space`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Space`, `unknown`, `Space`, `QueryKey`\> |
| `options.variables` | `QuerySpaceArgs` |

#### Returns

`UseQueryResult`<`Space`, `unknown`\>

#### Defined in

[hooks/spaces/useSpace.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useSpace.ts#L11)

___

### useSpaceMembers

▸ `Const` **useSpaceMembers**(`options?`): `UseInfiniteQueryResult`<`PaginatedSpaceMember`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceMemberFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedSpaceMember`, `unknown`, `PaginatedSpaceMember`, `PaginatedSpaceMember`, `QueryKey`\> |
| `options.variables?` | `QuerySpaceMembersArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedSpaceMember`, `unknown`\>

#### Defined in

[hooks/member/useMembers.ts:34](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useMembers.ts#L34)

___

### useSpaceMembershipRequests

▸ `Const` **useSpaceMembershipRequests**(`options`): `UseQueryResult`<`SpaceJoinRequest`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `SpaceJoinRequestFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SpaceJoinRequest`[], `unknown`, `SpaceJoinRequest`[], `QueryKey`\> |
| `options.variables` | `QuerySpaceMembershipRequestsArgs` |

#### Returns

`UseQueryResult`<`SpaceJoinRequest`[], `unknown`\>

#### Defined in

[hooks/spaceMembership/useSpaceMembershipRequests.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceMembership/useSpaceMembershipRequests.ts#L13)

___

### useSpaceRoles

▸ `Const` **useSpaceRoles**(`options`): `UseQueryResult`<`SpaceRole`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `SpaceRoleFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SpaceRole`[], `unknown`, `SpaceRole`[], `QueryKey`\> |
| `options.variables` | `QuerySpaceRolesArgs` |

#### Returns

`UseQueryResult`<`SpaceRole`[], `unknown`\>

#### Defined in

[hooks/spaceRoles/useSpaceRoles.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaceRoles/useSpaceRoles.ts#L10)

___

### useSpaceTags

▸ `Const` **useSpaceTags**(`options`): `UseInfiniteQueryResult`<`PaginatedTag`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options` | `Object` |
| `options.fields?` | `TagFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedTag`, `unknown`, `PaginatedTag`, `PaginatedTag`, `QueryKey`\> |
| `options.variables` | `QueryTagsArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedTag`, `unknown`\>

#### Defined in

[hooks/tags/useSpaceTags.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/tags/useSpaceTags.ts#L8)

___

### useSpaces

▸ `Const` **useSpaces**(`options?`): `UseInfiniteQueryResult`<`PaginatedSpace`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useInfiniteQueryOptions?` | `UseInfiniteQueryOptions`<`PaginatedSpace`, `unknown`, `PaginatedSpace`, `PaginatedSpace`, `QueryKey`\> |
| `options.variables?` | `QuerySpacesArgs` |

#### Returns

`UseInfiniteQueryResult`<`PaginatedSpace`, `unknown`\>

#### Defined in

[hooks/spaces/useSpaces.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useSpaces.ts#L9)

___

### useSpacesByIds

▸ `Const` **useSpacesByIds**(`options?`): `UseQueryResult`<`Space`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Space`[], `unknown`, `Space`[], `QueryKey`\> |
| `options.variables` | `QuerySpacesByIdsArgs` |

#### Returns

`UseQueryResult`<`Space`[], `unknown`\>

#### Defined in

[hooks/spaces/useSpacesByIds.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useSpacesByIds.ts#L8)

___

### useSpacesBySlugs

▸ `Const` **useSpacesBySlugs**(`options?`): `UseQueryResult`<`Space`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Space`[], `unknown`, `Space`[], `QueryKey`\> |
| `options.variables` | `QuerySpacesBySlugsArgs` |

#### Returns

`UseQueryResult`<`Space`[], `unknown`\>

#### Defined in

[hooks/spaces/useSpacesBySlugs.ts:8](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useSpacesBySlugs.ts#L8)

___

### useSsoMemberships

▸ `Const` **useSsoMemberships**(`options?`): `UseQueryResult`<`SsoMembership`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SsoMembership`[], `unknown`, `SsoMembership`[], `QueryKey`\> |
| `options.variables` | `QuerySsoMembershipsArgs` |

#### Returns

`UseQueryResult`<`SsoMembership`[], `unknown`\>

#### Defined in

[hooks/auth/useSsoMemberships.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useSsoMemberships.ts#L10)

___

### useSsoUrl

▸ `Const` **useSsoUrl**(`options?`): `UseQueryResult`<`SsoUrl`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`SsoUrl`, `unknown`, `SsoUrl`, `QueryKey`\> |
| `options.variables` | `QuerySsoUrlArgs` |

#### Returns

`UseQueryResult`<`SsoUrl`, `unknown`\>

#### Defined in

[hooks/auth/useSsoUrl.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useSsoUrl.ts#L7)

___

### useSsos

▸ `Const` **useSsos**(`options?`): `UseQueryResult`<`Sso`[], `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`Sso`[], `unknown`, `Sso`[], `QueryKey`\> |
| `options.variables` | `QuerySsosArgs` |

#### Returns

`UseQueryResult`<`Sso`[], `unknown`\>

#### Defined in

[hooks/auth/useSsos.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useSsos.ts#L9)

___

### useTransferToNewDomain

▸ `Const` **useTransferToNewDomain**(`options?`): `UseMutationResult`<`Action`, `Error`, `void`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `Error`, `void`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `Error`, `void`, `unknown`\>

#### Defined in

[hooks/network/useTransferToNewDomain.ts:6](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useTransferToNewDomain.ts#L6)

___

### useUnhidePost

▸ `Const` **useUnhidePost**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUnhidePostArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUnhidePostArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUnhidePostArgs`, `unknown`\>

#### Defined in

[hooks/posts/useUnhidePost.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useUnhidePost.ts#L9)

___

### useUninstallApp

▸ `Const` **useUninstallApp**(`options?`): `UseMutationResult`<`AppInstallation`, `ClientError`, `MutationUninstallAppArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AppInstallationFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AppInstallation`, `ClientError`, `MutationUninstallAppArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`AppInstallation`, `ClientError`, `MutationUninstallAppArgs`, `unknown`\>

#### Defined in

[hooks/app/useUninstallApp.ts:14](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useUninstallApp.ts#L14)

___

### useUnpinPostFromSpace

▸ `Const` **useUnpinPostFromSpace**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUnpinPostFromSpaceArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUnpinPostFromSpaceArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUnpinPostFromSpaceArgs`, `unknown`\>

#### Defined in

[hooks/posts/useUnpinPostFromSpace.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useUnpinPostFromSpace.ts#L16)

___

### useUnsubscribeFromNotification

▸ `Const` **useUnsubscribeFromNotification**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUnsubscribeFromNotificationArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUnsubscribeFromNotificationArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUnsubscribeFromNotificationArgs`, `unknown`\>

#### Defined in

[hooks/notifications/useUnsubscribeFromNotification.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useUnsubscribeFromNotification.ts#L11)

___

### useUpdateAppNetworkSettings

▸ `Const` **useUpdateAppNetworkSettings**(`options?`): `UseMutationResult`<`AppAction`, `ClientError`, `MutationUpdateAppNetworkSettingsArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AppAction`, `ClientError`, `MutationUpdateAppNetworkSettingsArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`AppAction`, `ClientError`, `MutationUpdateAppNetworkSettingsArgs`, `unknown`\>

#### Defined in

[hooks/app/useUpdateAppNetworkSettings.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/app/useUpdateAppNetworkSettings.ts#L11)

___

### useUpdateCollection

▸ `Const` **useUpdateCollection**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUpdateCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUpdateCollectionArgs`, { `snapshot`: `Collection`  }\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUpdateCollectionArgs`, { `snapshot`: `Collection`  }\>

#### Defined in

[hooks/collections/useUpdateCollection.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/collections/useUpdateCollection.ts#L16)

___

### useUpdateCustomSso

▸ `Const` **useUpdateCustomSso**(`options?`): `UseMutationResult`<`Sso`, `Error`, `MutationUpdateCustomSsoArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Sso`, `Error`, `MutationUpdateCustomSsoArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Sso`, `Error`, `MutationUpdateCustomSsoArgs`, `unknown`\>

#### Defined in

[hooks/auth/useUpdateCustomSso.ts:9](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useUpdateCustomSso.ts#L9)

___

### useUpdateDefaultSsoStatus

▸ `Const` **useUpdateDefaultSsoStatus**(`options?`): `UseMutationResult`<`Action`, `Error`, `MutationUpdateDefaultSsoStatusArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `Error`, `MutationUpdateDefaultSsoStatusArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `Error`, `MutationUpdateDefaultSsoStatusArgs`, `unknown`\>

#### Defined in

[hooks/auth/useUpdateDefaultSsoStatus.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useUpdateDefaultSsoStatus.ts#L12)

___

### useUpdateImage

▸ `Const` **useUpdateImage**(`options?`): `UseMutationResult`<`Image`, `ClientError`, `MutationUpdateImageArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Image`, `ClientError`, `MutationUpdateImageArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Image`, `ClientError`, `MutationUpdateImageArgs`, `unknown`\>

#### Defined in

[hooks/media/useUpdateImage.ts:7](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/media/useUpdateImage.ts#L7)

___

### useUpdateJwtSso

▸ `Const` **useUpdateJwtSso**(`options?`): `UseMutationResult`<`Sso`, `Error`, `MutationUpdateJwtSsoArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Sso`, `ClientError`, `MutationUpdateJwtSsoArgs`, { `snapshot`: `Sso`  }\> |

#### Returns

`UseMutationResult`<`Sso`, `Error`, `MutationUpdateJwtSsoArgs`, `unknown`\>

#### Defined in

[hooks/auth/useUpdateJwtSso.ts:14](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useUpdateJwtSso.ts#L14)

___

### useUpdateMember

▸ `Const` **useUpdateMember**(`options?`): `UseMutationResult`<`Member`, `ClientError`, `MutationUpdateMemberArgs`, { `snapshot`: `Member`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `MemberFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Member`, `ClientError`, `MutationUpdateMemberArgs`, { `snapshot`: `Member`  }\> |

#### Returns

`UseMutationResult`<`Member`, `ClientError`, `MutationUpdateMemberArgs`, { `snapshot`: `Member`  }\>

#### Defined in

[hooks/member/useUpdateMember.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/member/useUpdateMember.ts#L16)

___

### useUpdateMemberPostNotificationSettings

▸ `Const` **useUpdateMemberPostNotificationSettings**(`options?`): `UseMutationResult`<`MemberPostNotificationSettings`, `ClientError`, `MutationUpdateMemberPostNotificationSettingsArgs`, `Snapshot`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`MemberPostNotificationSettings`, `ClientError`, `MutationUpdateMemberPostNotificationSettingsArgs`, `Snapshot`\> |

#### Returns

`UseMutationResult`<`MemberPostNotificationSettings`, `ClientError`, `MutationUpdateMemberPostNotificationSettingsArgs`, `Snapshot`\>

#### Defined in

[hooks/notifications/useUpdateMemberPostNotificationSettings.ts:39](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useUpdateMemberPostNotificationSettings.ts#L39)

___

### useUpdateMemberSchemaField

▸ `Const` **useUpdateMemberSchemaField**(`options?`): `UseMutationResult`<`Network`, `Error`, `MutationUpdateMemberSchemaFieldArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NetworkFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Network`, `Error`, `MutationUpdateMemberSchemaFieldArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Network`, `Error`, `MutationUpdateMemberSchemaFieldArgs`, `unknown`\>

#### Defined in

[hooks/network/useUpdateMemberSchemaField.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useUpdateMemberSchemaField.ts#L10)

___

### useUpdateModerationItem

▸ `Const` **useUpdateModerationItem**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUpdateModerationItemArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUpdateModerationItemArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUpdateModerationItemArgs`, `unknown`\>

#### Defined in

[hooks/moderation/useUpdateModerationItem.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useUpdateModerationItem.ts#L13)

___

### useUpdateModerationSettings

▸ `Const` **useUpdateModerationSettings**(`options?`): `UseMutationResult`<`ModerationSettings`, `ClientError`, `MutationUpdateModerationSettingsArgs`, { `snapshot`: `ModerationSettings`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`ModerationSettings`, `ClientError`, `MutationUpdateModerationSettingsArgs`, { `snapshot`: `ModerationSettings`  }\> |

#### Returns

`UseMutationResult`<`ModerationSettings`, `ClientError`, `MutationUpdateModerationSettingsArgs`, { `snapshot`: `ModerationSettings`  }\>

#### Defined in

[hooks/moderation/useUpdateModerationSettings.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/moderation/useUpdateModerationSettings.ts#L11)

___

### useUpdateNetwork

▸ `Const` **useUpdateNetwork**(`options?`): `UseMutationResult`<`Network`, `Error`, `MutationUpdateNetworkArgs`, { `snapshot`: `Network`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NetworkFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Network`, `Error`, `MutationUpdateNetworkArgs`, { `snapshot`: `Network`  }\> |

#### Returns

`UseMutationResult`<`Network`, `Error`, `MutationUpdateNetworkArgs`, { `snapshot`: `Network`  }\>

#### Defined in

[hooks/network/useUpdateNetwork.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useUpdateNetwork.ts#L16)

___

### useUpdateNetworkNotificationSettings

▸ `Const` **useUpdateNetworkNotificationSettings**(`options?`): `UseMutationResult`<`MemberNetworkNotificationSettings`, `ClientError`, `MutationUpdateMemberNetworkNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`MemberNetworkNotificationSettings`, `ClientError`, `MutationUpdateMemberNetworkNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\> |

#### Returns

`UseMutationResult`<`MemberNetworkNotificationSettings`, `ClientError`, `MutationUpdateMemberNetworkNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\>

#### Defined in

[hooks/notifications/useUpdateNetworkNotificationSettings.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/notifications/useUpdateNetworkNotificationSettings.ts#L12)

___

### useUpdateNewDomain

▸ `Const` **useUpdateNewDomain**(`options?`): `UseMutationResult`<`DomainTransferStatus`, `Error`, `MutationUpdateNewDomainArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`DomainTransferStatus`, `Error`, `MutationUpdateNewDomainArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`DomainTransferStatus`, `Error`, `MutationUpdateNewDomainArgs`, `unknown`\>

#### Defined in

[hooks/network/useUpdateNewDomain.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useUpdateNewDomain.ts#L11)

___

### useUpdatePasswordWithToken

▸ `Const` **useUpdatePasswordWithToken**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUpdatePasswordWithTokenArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUpdatePasswordWithTokenArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUpdatePasswordWithTokenArgs`, `unknown`\>

#### Defined in

[hooks/auth/useUpdatePasswordWithToken.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useUpdatePasswordWithToken.ts#L10)

___

### useUpdatePost

▸ `Const` **useUpdatePost**(`options?`): `UseMutationResult`<`Post`, `ClientError`, `MutationUpdatePostArgs`, { `snapshot`: `Post`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `PostFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Post`, `ClientError`, `MutationUpdatePostArgs`, { `snapshot`: `Post`  }\> |

#### Returns

`UseMutationResult`<`Post`, `ClientError`, `MutationUpdatePostArgs`, { `snapshot`: `Post`  }\>

#### Defined in

[hooks/posts/useUpdatePost.ts:14](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/posts/useUpdatePost.ts#L14)

___

### useUpdateSlates

▸ `Const` **useUpdateSlates**(`options?`): `UseMutationResult`<`Slate`[], `Error`, `MutationUpdateSlatesArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | ``"all"`` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Slate`[], `Error`, `MutationUpdateSlatesArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Slate`[], `Error`, `MutationUpdateSlatesArgs`, `unknown`\>

#### Defined in

[hooks/slate/useUpdateSlates.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/slate/useUpdateSlates.ts#L16)

___

### useUpdateSpace

▸ `Const` **useUpdateSpace**(`options?`): `UseMutationResult`<`Space`, `ClientError`, `MutationUpdateSpaceArgs`, { `snapshot`: `Space`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `SpaceFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Space`, `ClientError`, `MutationUpdateSpaceArgs`, { `snapshot`: `Space`  }\> |

#### Returns

`UseMutationResult`<`Space`, `ClientError`, `MutationUpdateSpaceArgs`, { `snapshot`: `Space`  }\>

#### Defined in

[hooks/spaces/useUpdateSpace.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useUpdateSpace.ts#L12)

___

### useUpdateSpaceHighlightedTags

▸ `Const` **useUpdateSpaceHighlightedTags**(`options?`): `UseMutationResult`<`Action`, `ClientError`, `MutationUpdateSpaceHighlightedTagsArgs`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`Action`, `ClientError`, `MutationUpdateSpaceHighlightedTagsArgs`, `unknown`\> |

#### Returns

`UseMutationResult`<`Action`, `ClientError`, `MutationUpdateSpaceHighlightedTagsArgs`, `unknown`\>

#### Defined in

[hooks/spaces/useUpdateSpaceHighlightedTags.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useUpdateSpaceHighlightedTags.ts#L11)

___

### useUpdateSpaceNotificationSettings

▸ `Const` **useUpdateSpaceNotificationSettings**(`options?`): `UseMutationResult`<`MemberSpaceNotificationSettings`, `ClientError`, `MutationUpdateMemberSpaceNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useMutationOptions?` | `UseMutationOptions`<`MemberSpaceNotificationSettings`, `ClientError`, `MutationUpdateMemberSpaceNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\> |

#### Returns

`UseMutationResult`<`MemberSpaceNotificationSettings`, `ClientError`, `MutationUpdateMemberSpaceNotificationSettingsArgs`, { `snapshot`: `MemberNotificationSettings`  }\>

#### Defined in

[hooks/spaces/useUpdateSpaceNotificationSettings.ts:12](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/spaces/useUpdateSpaceNotificationSettings.ts#L12)

___

### useUploadFile

▸ `Const` **useUploadFile**(): `Object`

#### Returns

`Object`

| Name | Type |
| :------ | :------ |
| `loading` | `boolean` |
| `loadingFile` | `Image` |
| `uploadFile` | (`file`: `File`, `updater`: (`file`: `Image`) => `void` \| `Promise`<`void`\>) => `Promise`<`void`\> |

#### Defined in

[hooks/utils/useUploadFile.ts:16](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/utils/useUploadFile.ts#L16)

___

### useUpsertTheme

▸ `Const` **useUpsertTheme**(`options?`): `UseMutationResult`<`NewTheme`, `Error`, `MutationUpsertThemeArgs`, { `snapshot`: `Network`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `NewThemeFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`NewTheme`, `Error`, `MutationUpsertThemeArgs`, { `snapshot`: `Network`  }\> |

#### Returns

`UseMutationResult`<`NewTheme`, `Error`, `MutationUpsertThemeArgs`, { `snapshot`: `Network`  }\>

#### Defined in

[hooks/network/useUpsertTheme.ts:13](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/network/useUpsertTheme.ts#L13)

___

### useValidateLink

▸ `Const` **useValidateLink**(`options?`): `UseQueryResult`<`MemberInvitationLink`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.useQueryOptions?` | `UseQueryOptions`<`MemberInvitationLink`, `unknown`, `MemberInvitationLink`, `QueryKey`\> |
| `options.variables` | `QueryInvitationLinkValidityArgs` |

#### Returns

`UseQueryResult`<`MemberInvitationLink`, `unknown`\>

#### Defined in

[hooks/auth/useValidateLink.ts:10](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useValidateLink.ts#L10)

___

### useValidateToken

▸ `Const` **useValidateToken**(`options?`): `UseQueryResult`<`MemberInvitation`, `unknown`\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `MemberInvitationFields` |
| `options.useQueryOptions?` | `UseQueryOptions`<`MemberInvitation`, `unknown`, `MemberInvitation`, `QueryKey`\> |
| `options.variables` | `QueryMemberInvitationValidityArgs` |

#### Returns

`UseQueryResult`<`MemberInvitation`, `unknown`\>

#### Defined in

[hooks/auth/useValidateToken.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useValidateToken.ts#L11)

___

### useVerifyMember

▸ `Const` **useVerifyMember**(`options?`): `UseMutationResult`<`AuthToken`, `ClientError`, `MutationVerifyMemberArgs`, { `snapshot`: `AuthToken`  }\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `options?` | `Object` |
| `options.fields?` | `AuthTokenFields` |
| `options.useMutationOptions?` | `UseMutationOptions`<`AuthToken`, `ClientError`, `MutationVerifyMemberArgs`, { `snapshot`: `AuthToken`  }\> |

#### Returns

`UseMutationResult`<`AuthToken`, `ClientError`, `MutationVerifyMemberArgs`, { `snapshot`: `AuthToken`  }\>

#### Defined in

[hooks/auth/useVerifyMember.ts:11](https://gitlab.com/tribeplatform/tribe-neo/-/blob/master/packages/react-sdk/src/hooks/auth/useVerifyMember.ts#L11)
