import React from 'react'

import { ComposerMediaClose } from './MediaClose.js'

export interface ComposerMediaErrorProps {
  handleClose: (e: React.MouseEvent<HTMLInputElement>) => void
}

export const ComposerMediaError = ({
  handleClose,
}: ComposerMediaErrorProps) => {
  return (
    <div>
      <ComposerMediaClose onClick={handleClose} />
    </div>
  )
}
