import { QueryBasketsArgs } from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const BILLING_DETAILS_KEY = 'billingDetails'
const INVOICES_KEY = 'invoices'
const VAT_TYPES_KEY = 'vatTypes'
const BASKETS_KEY = 'baskets'

export const getBillingDetailsKey = KeyConstructor<never, never>(
  BILLING_DETAILS_KEY,
)
export const getInvoicesKey = KeyConstructor<never, never>(INVOICES_KEY)
export const getVatTypesKey = KeyConstructor<never, never>(VAT_TYPES_KEY)
export const getBasketsKey = KeyConstructor<QueryBasketsArgs, never>(
  BASKETS_KEY,
)
