import { SpaceJoinRequestFields } from '@tribeplatform/gql-client'
import {
  QueryMemberSpaceMembershipRequestArgs,
  QuerySpaceMembershipRequestsArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const MEMBER_SPACE_MEMBERSHIP_REQUEST = 'memberSpaceMembershipRequest'
const SPACE_MEMBERSHIP_REQUEST = 'spaceMembershipRequest'

export const getMemberSpaceMembershipRequestKey = KeyConstructor<
  QueryMemberSpaceMembershipRequestArgs,
  SpaceJoinRequestFields
>(MEMBER_SPACE_MEMBERSHIP_REQUEST)
export const getSpaceMembershipRequestKey = KeyConstructor<
  QuerySpaceMembershipRequestsArgs,
  SpaceJoinRequestFields
>(SPACE_MEMBERSHIP_REQUEST)
