"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const clsx_1 = __importDefault(require("clsx"));
const Icon_1 = require("@tribeplatform/react-ui-kit/Icon");
const activeClass = 'text-actionAccent-600 hover:text-actionAccentHover-500';
const MenuItem = ({ onClick, isActive, icon, className, title }) => ((0, jsx_runtime_1.jsx)("button", { title: title, type: "button", onClick: onClick, className: (0, clsx_1.default)('flex p-1 items-center hover:bg-surface-100', className, {
        [activeClass]: isActive,
    }), children: (0, jsx_runtime_1.jsx)(Icon_1.Icon, { className: "w-4 h-4", children: icon }, void 0) }, void 0));
exports.MenuItem = MenuItem;
//# sourceMappingURL=BubbleMenuItem.js.map