"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleHtmlEditor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const FormControlHtmlEditor_1 = require("./FormControlHtmlEditor");
function SimpleHtmlEditor({ name, validation, error: ___, onChange: selectOnChange, ...rest }) {
    const { control } = (0, react_hook_form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.Controller, { control: control, name: name, rules: validation, render: ({ field: { onChange, value }, fieldState: { error } }) => ((0, jsx_runtime_1.jsx)(FormControlHtmlEditor_1.FormControlHtmlEditor, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, onChange: value => {
                onChange(value);
                if (typeof selectOnChange === 'function')
                    selectOnChange(value);
            }, value: value, ...rest }, void 0)) }, void 0));
}
exports.SimpleHtmlEditor = SimpleHtmlEditor;
//# sourceMappingURL=SimpleHtmlEditor.js.map