"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextFormattingMenu = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const BoldIcon_1 = __importDefault(require("remixicon-react/BoldIcon"));
const CodeBoxLineIcon_1 = __importDefault(require("remixicon-react/CodeBoxLineIcon"));
const CodeLineIcon_1 = __importDefault(require("remixicon-react/CodeLineIcon"));
const DoubleQuotesLIcon_1 = __importDefault(require("remixicon-react/DoubleQuotesLIcon"));
const H1Icon_1 = __importDefault(require("remixicon-react/H1Icon"));
const H2Icon_1 = __importDefault(require("remixicon-react/H2Icon"));
const ItalicIcon_1 = __importDefault(require("remixicon-react/ItalicIcon"));
const StrikethroughIcon_1 = __importDefault(require("remixicon-react/StrikethroughIcon"));
const UnderlineIcon_1 = __importDefault(require("remixicon-react/UnderlineIcon"));
const tailwind_merge_1 = require("tailwind-merge");
const BubbleMenuItem_1 = require("./BubbleMenuItem");
const TextFormattingMenu = ({ editor, className, }) => ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsxs)("div", { className: (0, tailwind_merge_1.twMerge)('flex items-center rounded-sm space-x-2 divide-x divide-surface-200 py-1 px-2 text-basicSurface-500 bg-surface-50 shadow-lg border border-surface-200/50', className), children: [(0, jsx_runtime_1.jsxs)("div", { className: "flex space-x-2", children: [(0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Bold", onClick: () => editor.chain().focus().toggleBold().run(), isActive: editor.isActive('bold'), icon: (0, jsx_runtime_1.jsx)(BoldIcon_1.default, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Italic", onClick: () => editor.chain().focus().toggleItalic().run(), isActive: editor.isActive('italic'), icon: (0, jsx_runtime_1.jsx)(ItalicIcon_1.default, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Underline", onClick: () => editor.chain().focus().toggleUnderline().run(), isActive: editor.isActive('underline'), icon: (0, jsx_runtime_1.jsx)(UnderlineIcon_1.default, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Strike Through", onClick: () => editor.chain().focus().toggleStrike().run(), isActive: editor.isActive('strike'), icon: (0, jsx_runtime_1.jsx)(StrikethroughIcon_1.default, {}, void 0) }, void 0)] }, void 0), (0, jsx_runtime_1.jsxs)("div", { className: "flex space-x-2 pl-2", children: [(0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Large Header", onClick: () => editor.chain().focus().toggleHeading({ level: 2 }).run(), isActive: editor.isActive('heading', { level: 2 }), icon: (0, jsx_runtime_1.jsx)(H1Icon_1.default, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Medium Header", onClick: () => editor.chain().focus().toggleHeading({ level: 3 }).run(), isActive: editor.isActive('heading', { level: 3 }), icon: (0, jsx_runtime_1.jsx)(H2Icon_1.default, {}, void 0) }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)("div", { className: "flex pl-2", children: (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Blockquote", onClick: () => editor.chain().focus().toggleBlockquote().run(), isActive: editor.isActive('blockquote'), icon: (0, jsx_runtime_1.jsx)(DoubleQuotesLIcon_1.default, {}, void 0) }, void 0) }, void 0), (0, jsx_runtime_1.jsxs)("div", { className: "flex space-x-2 pl-2", children: [(0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Inline Code", onClick: () => editor.chain().focus().toggleCode().run(), isActive: editor.isActive('code'), icon: (0, jsx_runtime_1.jsx)(CodeLineIcon_1.default, {}, void 0) }, void 0), (0, jsx_runtime_1.jsx)(BubbleMenuItem_1.MenuItem, { title: "Code Block", onClick: () => editor.chain().focus().toggleCodeBlock().run(), isActive: editor.isActive('codeBlock'), icon: (0, jsx_runtime_1.jsx)(CodeBoxLineIcon_1.default, {}, void 0) }, void 0)] }, void 0)] }, void 0) }, void 0));
exports.TextFormattingMenu = TextFormattingMenu;
//# sourceMappingURL=TextBubbleMenu.js.map