/// <reference types="react" />
import { FormControlSearchableSelectProps } from '@tribeplatform/react-ui-kit/FormControl';
import { FormValidationProps } from './typings';
export declare type SearchableSelectProps = Omit<FormControlSearchableSelectProps, 'value' | 'onChange'> & FormValidationProps & {
    value?: FormControlSearchableSelectProps['value'];
    onChange?: FormControlSearchableSelectProps['onChange'];
};
export declare function SearchableSelect({ name, validation, error: ___, onChange: selectOnChange, value: __, ...rest }: SearchableSelectProps): JSX.Element;
