"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Select = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
const Select_1 = require("@tribeplatform/react-ui-kit/Select");
function Select({ renderButton, children, name, validation, error: ___, onChange: selectOnChange, value: __, ...rest }) {
    const { control } = (0, react_hook_form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.Controller, { control: control, name: name, rules: validation, render: ({ field: { onChange, value }, fieldState: { error } }) => ((0, jsx_runtime_1.jsxs)(FormControl_1.FormControl.Select, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, value: value, onChange: value => {
                onChange(value);
                if (typeof selectOnChange === 'function')
                    selectOnChange(value);
            }, ...rest, children: [(0, jsx_runtime_1.jsx)(Select_1.Select.Button, { children: typeof renderButton === 'function' ? renderButton(value) : value }, void 0), children] }, void 0)) }, void 0));
}
exports.Select = Select;
//# sourceMappingURL=Select.js.map