"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Textarea = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
function Textarea({ name, validation, error: ___, value: __, onChange: selectOnChange, defaultValue, ...rest }) {
    var _a, _b;
    const { control } = (0, react_hook_form_1.useFormContext)();
    const maxLength = typeof (validation === null || validation === void 0 ? void 0 : validation.maxLength) === 'object' &&
        typeof ((_a = validation === null || validation === void 0 ? void 0 : validation.maxLength) === null || _a === void 0 ? void 0 : _a.value) === 'number'
        ? (_b = validation === null || validation === void 0 ? void 0 : validation.maxLength) === null || _b === void 0 ? void 0 : _b.value
        : undefined;
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.Controller, { control: control, name: name, rules: validation, defaultValue: defaultValue, render: ({ field: { onChange, value }, fieldState: { error } }) => ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Textarea, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, onChange: value => {
                onChange(value);
                if (typeof selectOnChange === 'function')
                    selectOnChange(value);
            }, value: value, cornerHint: maxLength > 0 && !!value
                ? `${value.length}/${maxLength}`
                : undefined, ...rest }, void 0)) }, void 0));
}
exports.Textarea = Textarea;
//# sourceMappingURL=Textarea.js.map