"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toggle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hook_form_1 = require("react-hook-form");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
function Toggle({ name, validation, onChange: selectOnChange, ...rest }) {
    const { control } = (0, react_hook_form_1.useFormContext)();
    return ((0, jsx_runtime_1.jsx)(react_hook_form_1.Controller, { control: control, name: name, defaultValue: false, rules: validation, render: ({ field: { onChange, value }, fieldState: { error } }) => ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Toggle, { name: name, invalid: !!(error === null || error === void 0 ? void 0 : error.message), error: error === null || error === void 0 ? void 0 : error.message, checked: value, onChange: value => {
                onChange(value);
                if (typeof selectOnChange === 'function')
                    selectOnChange(value);
            }, ...rest }, void 0)) }, void 0));
}
exports.Toggle = Toggle;
//# sourceMappingURL=Toggle.js.map