"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PickerFormControlMember = exports.PickerFormControlSpace = exports.PickerFormControl = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const FormControl_1 = require("@tribeplatform/react-ui-kit/FormControl");
const MemberPicker_1 = require("./MemberPicker");
const SpacePicker_1 = require("./SpacePicker");
const PickerFormControl = ({ children }) => ((0, jsx_runtime_1.jsx)("div", { className: "space-y-1", children: children }, void 0));
exports.PickerFormControl = PickerFormControl;
const PickerFormControlSpace = props => {
    const { children, name, label, helperText, error, invalid, onChange, value, ...rest } = props;
    return ((0, jsx_runtime_1.jsxs)("div", { children: [label ? ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Label, { htmlFor: name, children: label }, void 0)) : null, (0, jsx_runtime_1.jsxs)("div", { className: "mt-1", children: [(0, jsx_runtime_1.jsx)(SpacePicker_1.SpacePicker, { ...rest, value: value, onChange: onChange, children: children }, void 0), (0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Meta, { ...{
                            helperText,
                            error,
                            invalid,
                        } }, void 0)] }, void 0)] }, void 0));
};
exports.PickerFormControlSpace = PickerFormControlSpace;
const PickerFormControlMember = props => {
    const { children, name, label, helperText, error, invalid, onChange, value, ...rest } = props;
    return ((0, jsx_runtime_1.jsxs)("div", { children: [label ? ((0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Label, { htmlFor: name, children: label }, void 0)) : null, (0, jsx_runtime_1.jsxs)("div", { className: "mt-1", children: [(0, jsx_runtime_1.jsx)(MemberPicker_1.MemberPicker, { ...rest, value: value, onChange: onChange, children: children }, void 0), (0, jsx_runtime_1.jsx)(FormControl_1.FormControl.Meta, { ...{
                            helperText,
                            error,
                            invalid,
                        } }, void 0)] }, void 0)] }, void 0));
};
exports.PickerFormControlMember = PickerFormControlMember;
exports.PickerFormControl.SpacePicker = exports.PickerFormControlSpace;
exports.PickerFormControl.MemberPicker = exports.PickerFormControlMember;
//# sourceMappingURL=PickerFormControl.js.map