"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAppNetworkSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAppNetworkSettings = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const appNetworkSettingsKey = (0, keys_1.getAppNetworkSettingsKey)({ variables });
    return (0, lib_1.useQuery)(appNetworkSettingsKey, () => client.app.networkSettings(variables), useQueryOptions);
};
exports.useAppNetworkSettings = useAppNetworkSettings;
//# sourceMappingURL=useAppNetworkSettings.js.map