"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAppSpaceSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAppSpaceSettings = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const appSpaceSettingsKey = (0, keys_1.getAppSpaceSettingsKey)({ variables });
    return (0, lib_1.useQuery)(appSpaceSettingsKey, () => client.app.spaceSettings(variables), useQueryOptions);
};
exports.useAppSpaceSettings = useAppSpaceSettings;
//# sourceMappingURL=useAppSpaceSettings.js.map