"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useJoinNetworkWithLink = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useJoinNetworkWithLink = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.auth.joinNetworkWithInvitationLink(input, fields), useMutationOptions);
};
exports.useJoinNetworkWithLink = useJoinNetworkWithLink;
//# sourceMappingURL=useJoinNetworkWithLink.js.map