import { AuthTokenFields, ClientError } from '@tribeplatform/gql-client';
import { AuthToken, MutationJoinNetworkWithTokenArgs } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
export declare const useJoinNetworkWithToken: (options?: {
    fields?: AuthTokenFields;
    useMutationOptions?: UseMutationOptions<AuthToken, ClientError, MutationJoinNetworkWithTokenArgs, {
        snapshot: AuthToken;
    }>;
}) => import("react-query").UseMutationResult<AuthToken, ClientError, MutationJoinNetworkWithTokenArgs, {
    snapshot: AuthToken;
}>;
