"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSsoUrl = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSsoUrl = (options) => {
    const { useQueryOptions, variables } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const ssoUrlKey = (0, keys_1.getSsoUrlKey)({ variables });
    return (0, lib_1.useQuery)(ssoUrlKey, () => client.auth.ssoUrl(variables), useQueryOptions);
};
exports.useSsoUrl = useSsoUrl;
//# sourceMappingURL=useSsoUrl.js.map