"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useValidateToken = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useValidateToken = (options) => {
    const { useQueryOptions, fields, variables } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberInvitationValidityKey = (0, keys_1.getMemberInvitationValidityKey)({
        variables,
        fields,
    });
    return (0, lib_1.useQuery)(memberInvitationValidityKey, () => client.invitations.validate(variables, fields), useQueryOptions);
};
exports.useValidateToken = useValidateToken;
//# sourceMappingURL=useValidateToken.js.map