"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useVerifyMember = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useVerifyMember = (options) => {
    const { useMutationOptions, fields = 'default' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.auth.verifyMember(input, fields), useMutationOptions);
};
exports.useVerifyMember = useVerifyMember;
//# sourceMappingURL=useVerifyMember.js.map