"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePurchase = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const usePurchase = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const queryClient = (0, lib_1.useQueryClient)();
    return (0, lib_1.useMutation)(input => client.billing.purchase(input), {
        onSettled: () => {
            queryClient.invalidateQueries();
        },
        ...useMutationOptions,
    });
};
exports.usePurchase = usePurchase;
//# sourceMappingURL=usePurchase.js.map