"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalApp = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalApp = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const globalAppKey = (0, keys_1.getAppKey)({ variables, fields });
    return (0, lib_1.useQuery)(globalAppKey, () => client === null || client === void 0 ? void 0 : client.dev.app(variables, fields), useQueryOptions);
};
exports.useGlobalApp = useGlobalApp;
//# sourceMappingURL=useGlobalApp.js.map