"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalAppCollaborators = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useGlobalAppCollaborators = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const AppCollaboratorsKey = (0, keys_1.getAppCollaboratorsKey)({ variables, fields });
    return (0, lib_1.useQuery)(AppCollaboratorsKey, () => client.dev.appCollaborators(variables, fields), { ...useQueryOptions, enabled: !!(variables === null || variables === void 0 ? void 0 : variables.appId) });
};
exports.useGlobalAppCollaborators = useGlobalAppCollaborators;
//# sourceMappingURL=useGlobalAppCollaborators.js.map