"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateEmojis = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useCreateEmojis = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.media.createEmojis(input), {
        ...useMutationOptions,
    });
};
exports.useCreateEmojis = useCreateEmojis;
//# sourceMappingURL=useCreateEmojis.js.map