"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateImages = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useCreateImages = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)((input) => client.media.uploadImages(input, useMutationOptions === null || useMutationOptions === void 0 ? void 0 : useMutationOptions.onError), {
        ...useMutationOptions,
        onError: useMutationOptions === null || useMutationOptions === void 0 ? void 0 : useMutationOptions.onError,
    });
};
exports.useCreateImages = useCreateImages;
//# sourceMappingURL=useCreateImages.js.map