"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMemberNotificationSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useMemberNotificationSettings = (options = {}) => {
    const { variables, useQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useQuery)((0, keys_1.getMemberNotificationSettingsKey)({ variables }), () => client.notifications.memberSettings(variables), useQueryOptions);
};
exports.useMemberNotificationSettings = useMemberNotificationSettings;
//# sourceMappingURL=useMemberNotificationSettings.js.map