import { ClientError, MemberFields } from '@tribeplatform/gql-client';
import { Member, MutationUpdateMemberArgs } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
export declare const useUpdateMember: (options?: {
    fields?: MemberFields;
    useMutationOptions?: UseMutationOptions<Member, ClientError, MutationUpdateMemberArgs, {
        snapshot: Member;
    }>;
}) => import("react-query").UseMutationResult<Member, ClientError, MutationUpdateMemberArgs, {
    snapshot: Member;
}>;
