"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTransferToNewDomain = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useTransferToNewDomain = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(() => client.network.transferToNewDomain(), useMutationOptions);
};
exports.useTransferToNewDomain = useTransferToNewDomain;
//# sourceMappingURL=useTransferToNewDomain.js.map