"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNotificationsCount = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useNotificationsCount = () => {
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const notificationsKey = (0, keys_1.getNotificationsCountKey)();
    return (0, lib_1.useQuery)(notificationsKey, () => client === null || client === void 0 ? void 0 : client.notifications.count());
};
exports.useNotificationsCount = useNotificationsCount;
//# sourceMappingURL=useNotificationsCount.js.map