"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceDefaultNotificationSettings = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSpaceDefaultNotificationSettings = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const spaceDefaultNotificationSettingsKey = (0, keys_1.getSpaceDefaultNotificationSettingsKey)({ variables });
    return (0, lib_1.useQuery)(spaceDefaultNotificationSettingsKey, () => client.notifications.spaceDefaultNotificationSettings(variables), useQueryOptions);
};
exports.useSpaceDefaultNotificationSettings = useSpaceDefaultNotificationSettings;
//# sourceMappingURL=useSpaceDefaultNotificationSettings.js.map