"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUnsubscribeFromNotification = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useUnsubscribeFromNotification = (options) => {
    const { useMutationOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.notifications.unsubscribe(input), useMutationOptions);
};
exports.useUnsubscribeFromNotification = useUnsubscribeFromNotification;
//# sourceMappingURL=useUnsubscribeFromNotification.js.map