"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePostReactionParticipants = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const usePostReactionParticipants = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const postReactionParticipantsKey = (0, keys_1.getPostReactionParticipantsKey)({
        variables,
        fields,
    });
    return (0, lib_1.useInfiniteQuery)(postReactionParticipantsKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.posts.reactionParticipants({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.usePostReactionParticipants = usePostReactionParticipants;
//# sourceMappingURL=usePostReactionParticipants.js.map