import { InfiniteData, QueryKey } from 'react-query';
import { ClientError } from '@tribeplatform/gql-client';
import { Action, MutationRemoveReactionArgs, PaginatedPost, Post } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
declare type Snapshot = [
    QueryKey,
    Post | InfiniteData<PaginatedPost> | InfiniteData<Post>
][];
export declare const useRemoveReaction: (options?: {
    useMutationOptions?: UseMutationOptions<Action, ClientError, MutationRemoveReactionArgs, Snapshot>;
}) => import("react-query").UseMutationResult<Action, ClientError, MutationRemoveReactionArgs, Snapshot>;
export {};
