"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useReplies = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useReplies = (options) => {
    const { variables, fields = 'default', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const repliesKey = (0, keys_1.getPostsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(repliesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.posts.replies({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useReplies = useReplies;
//# sourceMappingURL=useReplies.js.map