"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useActivityLogs = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useActivityLogs = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const activityLogKey = (0, keys_1.getActivityLogKey)({ variables, fields });
    return (0, lib_1.useQuery)(activityLogKey, () => client.report.activityLogs(variables, fields), useQueryOptions);
};
exports.useActivityLogs = useActivityLogs;
//# sourceMappingURL=useActivityLogs.js.map