"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAnalytics = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useAnalytics = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const analyticsKey = (0, keys_1.getAnalyticsKey)({ variables, fields });
    return (0, lib_1.useQuery)(analyticsKey, () => client.report.analytics(variables, fields), useQueryOptions);
};
exports.useAnalytics = useAnalytics;
//# sourceMappingURL=useAnalytics.js.map