"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMemberSpaceMembershipRequest = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useMemberSpaceMembershipRequest = (options) => {
    const { fields = 'basic', useQueryOptions, variables } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const memberSpaceMembershipRequest = (0, keys_1.getMemberSpaceMembershipRequestKey)({
        variables,
        fields,
    });
    return (0, lib_1.useQuery)(memberSpaceMembershipRequest, () => client.spaceMembership.getMemberRequests(variables, fields), {
        ...useQueryOptions,
    });
};
exports.useMemberSpaceMembershipRequest = useMemberSpaceMembershipRequest;
//# sourceMappingURL=useMemberSpaceMembershipRequest.js.map