"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceRoles = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSpaceRoles = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options;
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const spaceRolesKey = (0, keys_1.getSpaceRolesKey)({ variables, fields });
    return (0, lib_1.useQuery)(spaceRolesKey, () => client.spaceRoles.list(variables, fields), useQueryOptions);
};
exports.useSpaceRoles = useSpaceRoles;
//# sourceMappingURL=useSpaceRoles.js.map