"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateSpaceFromTemplate = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const useCreateSpaceFromTemplate = (options) => {
    const { useMutationOptions, fields = 'basic' } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    return (0, lib_1.useMutation)(input => client.spaces.createSpaceFromTemplate(input, fields), useMutationOptions);
};
exports.useCreateSpaceFromTemplate = useCreateSpaceFromTemplate;
//# sourceMappingURL=useCreateSpaceFromTemplate.js.map