import { SpacePostTypeFields } from '@tribeplatform/gql-client/graphql/post';
import { PaginatedSpacePostType, QuerySpacePostTypesArgs } from '@tribeplatform/gql-client/types';
import { UseInfiniteQueryOptions } from '../../lib';
export declare const useSpacePostTypes: (options: {
    variables: QuerySpacePostTypesArgs;
    fields?: SpacePostTypeFields;
    useInfiniteQueryOptions?: UseInfiniteQueryOptions<PaginatedSpacePostType>;
}) => import("react-query").UseInfiniteQueryResult<PaginatedSpacePostType, unknown>;
