"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpacePostTypes = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSpacePostTypes = (options) => {
    const { variables, fields = 'default', useInfiniteQueryOptions, } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const spacePostTypesKey = (0, keys_1.getSpacePostTypesKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(spacePostTypesKey, ({ pageParam: after }) => client === null || client === void 0 ? void 0 : client.spacePostType.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useSpacePostTypes = useSpacePostTypes;
//# sourceMappingURL=useSpacePostTypes.js.map