"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSpaceTags = void 0;
const lib_1 = require("../../lib");
const useTribeClient_1 = require("../../useTribeClient");
const keys_1 = require("../../utils/keys");
const useSpaceTags = (options) => {
    const { variables, fields = 'basic', useInfiniteQueryOptions } = options || {};
    const { client } = (0, useTribeClient_1.useTribeClient)();
    const tagsKey = (0, keys_1.getTagsKey)({ variables, fields });
    return (0, lib_1.useInfiniteQuery)(tagsKey, ({ pageParam: after }) => client.tags.list({ after, ...variables }, fields), useInfiniteQueryOptions);
};
exports.useSpaceTags = useSpaceTags;
//# sourceMappingURL=useSpaceTags.js.map