import { QueryFunction, UseInfiniteQueryOptions as RQUseInfiniteQueryOptions, UseInfiniteQueryResult } from 'react-query';
import { QueryKey } from './QueryKey';
export declare type UseInfiniteQueryOptions<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData, TQueryData = TQueryFnData, TQueryKey extends QueryKey = QueryKey> = RQUseInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryData, TQueryKey>;
declare type useInfiniteQuery = <TQueryFnData extends {
    pageInfo: {
        endCursor?: string;
    };
}, TError = unknown, TData = TQueryFnData, TQueryKey extends QueryKey = QueryKey>(queryKey: TQueryKey, queryFn: QueryFunction<TQueryFnData, TQueryKey>, options?: UseInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryFnData, TQueryKey>) => UseInfiniteQueryResult<TData, TError>;
export declare const useInfiniteQuery: useInfiniteQuery;
export {};
