import { AppCollaboratorFields, AppFields, AppInstallationFields } from '@tribeplatform/gql-client';
import { QueryGlobalAppPublicationsArgs, QueryGlobalAppCollaboratorsArgs, QueryAppArgs, QueryAppsArgs, QueryGetAppNetworkSettingsArgs, QueryGetAppSpaceSettingsArgs, QueryGetNetworkAppInstallationsArgs } from '@tribeplatform/gql-client/types';
export declare const getAppKey: (options?: {
    variables?: Partial<QueryAppArgs>;
    fields?: Partial<AppFields>;
}) => import("../..").QueryKey;
export declare const getAppsKey: (options?: {
    variables?: Partial<QueryAppsArgs>;
    fields?: Partial<AppFields>;
}) => import("../..").QueryKey;
export declare const getAppNetworkSettingsKey: (options?: {
    variables?: Partial<QueryGetAppNetworkSettingsArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getAppSpaceSettingsKey: (options?: {
    variables?: Partial<QueryGetAppSpaceSettingsArgs>;
    fields?: never;
}) => import("../..").QueryKey;
export declare const getAppInstallationsKey: (options?: {
    variables?: Partial<QueryGetNetworkAppInstallationsArgs>;
    fields?: Partial<AppInstallationFields>;
}) => import("../..").QueryKey;
export declare const getAppCollaboratorsKey: (options?: {
    variables?: Partial<QueryGlobalAppCollaboratorsArgs>;
    fields?: Partial<AppCollaboratorFields>;
}) => import("../..").QueryKey;
export declare const getAppPublicationsKey: (options?: {
    variables?: Partial<QueryGlobalAppPublicationsArgs>;
    fields?: "basic";
}) => import("../..").QueryKey;
