"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppPublicationsKey = exports.getAppCollaboratorsKey = exports.getAppInstallationsKey = exports.getAppSpaceSettingsKey = exports.getAppNetworkSettingsKey = exports.getAppsKey = exports.getAppKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const APP_KEY = 'app';
const APPS_KEY = 'apps';
const APP_NETWORK_SETTINGS = 'appNetworkSettings';
const APP_SPACE_SETTINGS = 'appSpaceSettings';
const APP_INSTALLATIONS_KEY = 'appInstallations';
const APP_COLLABORATORS_KEY = 'appCollaborators';
const APP_PUBLICATIONS_KEY = 'appPublications';
exports.getAppKey = (0, keyConstructor_1.KeyConstructor)(APP_KEY);
exports.getAppsKey = (0, keyConstructor_1.KeyConstructor)(APPS_KEY);
exports.getAppNetworkSettingsKey = (0, keyConstructor_1.KeyConstructor)(APP_NETWORK_SETTINGS);
exports.getAppSpaceSettingsKey = (0, keyConstructor_1.KeyConstructor)(APP_SPACE_SETTINGS);
exports.getAppInstallationsKey = (0, keyConstructor_1.KeyConstructor)(APP_INSTALLATIONS_KEY);
exports.getAppCollaboratorsKey = (0, keyConstructor_1.KeyConstructor)(APP_COLLABORATORS_KEY);
exports.getAppPublicationsKey = (0, keyConstructor_1.KeyConstructor)(APP_PUBLICATIONS_KEY);
//# sourceMappingURL=app.key.js.map