"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSsoUrlKey = exports.getSsoMembershipKey = exports.getMemberInvitationLinkValidityKey = exports.getMemberInvitationsKey = exports.getMemberInvitationLinkKey = exports.getMemberInvitationValidityKey = exports.getSsosKey = exports.getLoginWithSsoKey = exports.getLoginKey = exports.getAuthMemberSessionsKey = exports.getAuthMemberKey = exports.getAuthTokenKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const AUTH_TOKEN_KEY = 'authToken';
const AUTH_MEMBER_KEY = 'authMember';
const AUTH_MEMBER_SESSIONS_KEY = 'authMemberSessions';
const LOGIN_KEY = 'loginNetwork';
const LOGIN_WITH_SSO_KEY = 'loginWithSso';
const SSOS_KEY = 'ssos';
const MEMBER_INVITATION_VALIDITY_KEY = 'memberInvitationValidity';
const MEMBER_INVITATIONS_KEY = 'memberInvitations';
const MEMBER_INVITATION_VALIDITY_LINK_KEY = 'memberInvitationValidityLink';
const MEMBER_INVITATION_LINK_KEY = 'memberInvitationLink';
const SSO_MEMBERSHIP_KEY = 'ssoMembership';
const SSO_URL_KEY = 'ssoUrl';
exports.getAuthTokenKey = (0, keyConstructor_1.KeyConstructor)(AUTH_TOKEN_KEY);
exports.getAuthMemberKey = (0, keyConstructor_1.KeyConstructor)(AUTH_MEMBER_KEY);
exports.getAuthMemberSessionsKey = (0, keyConstructor_1.KeyConstructor)(AUTH_MEMBER_SESSIONS_KEY);
exports.getLoginKey = (0, keyConstructor_1.KeyConstructor)(LOGIN_KEY);
exports.getLoginWithSsoKey = (0, keyConstructor_1.KeyConstructor)(LOGIN_WITH_SSO_KEY);
exports.getSsosKey = (0, keyConstructor_1.KeyConstructor)(SSOS_KEY);
exports.getMemberInvitationValidityKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_INVITATION_VALIDITY_KEY);
exports.getMemberInvitationLinkKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_INVITATION_LINK_KEY);
exports.getMemberInvitationsKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_INVITATIONS_KEY);
exports.getMemberInvitationLinkValidityKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_INVITATION_VALIDITY_LINK_KEY);
exports.getSsoMembershipKey = (0, keyConstructor_1.KeyConstructor)(SSO_MEMBERSHIP_KEY);
exports.getSsoUrlKey = (0, keyConstructor_1.KeyConstructor)(SSO_URL_KEY);
//# sourceMappingURL=authToken.keys.js.map