"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModerationSettingsKey = exports.getModerationItemReportersKey = exports.getModerationItemsKey = exports.getModerationItemKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const MODERATION_ITEM_KEY = 'moderationItem';
const MODERATION_ITEMS_KEY = 'moderationItems';
const MODERATION_ITEM_REPORTERS_KEY = 'moderationItemReporters';
const MODERATION_SETTINGS_KEY = 'moderationSettings';
exports.getModerationItemKey = (0, keyConstructor_1.KeyConstructor)(MODERATION_ITEM_KEY);
exports.getModerationItemsKey = (0, keyConstructor_1.KeyConstructor)(MODERATION_ITEMS_KEY);
exports.getModerationItemReportersKey = (0, keyConstructor_1.KeyConstructor)(MODERATION_ITEM_REPORTERS_KEY);
exports.getModerationSettingsKey = (0, keyConstructor_1.KeyConstructor)(MODERATION_SETTINGS_KEY);
//# sourceMappingURL=moderation.key.js.map