"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSpaceDefaultNotificationSettingsKey = exports.getNotificationsCountKey = exports.getNotificationsKey = exports.getMemberPostNotificationSettingsKey = exports.getMemberNotificationSettingsKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const NOTIFICATIONS_KEY = 'notifications';
const NOTIFICATIONS_COUNT_KEY = 'notificationsCount';
const MEMBER_NOTIFICATION_SETTINGS = 'memberNotificationSettings';
const MEMBER_POST_NOTIFICATION_SETTINGS = 'memberPostNotificationSettings';
const SPACE_DEFAULT_NOTIFICATION_SETTINGS = 'spaceDefaultNotificationSettings';
exports.getMemberNotificationSettingsKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_NOTIFICATION_SETTINGS);
exports.getMemberPostNotificationSettingsKey = (0, keyConstructor_1.KeyConstructor)(MEMBER_POST_NOTIFICATION_SETTINGS);
exports.getNotificationsKey = (0, keyConstructor_1.KeyConstructor)(NOTIFICATIONS_KEY);
exports.getNotificationsCountKey = (0, keyConstructor_1.KeyConstructor)(NOTIFICATIONS_COUNT_KEY);
exports.getSpaceDefaultNotificationSettingsKey = (0, keyConstructor_1.KeyConstructor)(SPACE_DEFAULT_NOTIFICATION_SETTINGS);
//# sourceMappingURL=notification.key.js.map