"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPostTypesKey = exports.getPostTypeKey = exports.getPostReactionParticipantsKey = exports.getTagsKey = exports.getPostsKey = exports.getPostKey = exports.getSearchKey = void 0;
const keyConstructor_1 = require("./keyConstructor");
const SEARCH_KEY = 'search';
const POST_KEY = 'post';
const POSTS_KEY = 'posts';
const TAGS_KEY = 'tags';
const POST_REACTION_PARTICIPANTS_KEY = 'postReactionParticipants';
const POST_TYPE_KEY = 'postType';
const POST_TYPES_KEY = 'postTypes';
exports.getSearchKey = (0, keyConstructor_1.KeyConstructor)(SEARCH_KEY);
exports.getPostKey = (0, keyConstructor_1.KeyConstructor)(POST_KEY);
exports.getPostsKey = (0, keyConstructor_1.KeyConstructor)(POSTS_KEY);
exports.getTagsKey = (0, keyConstructor_1.KeyConstructor)(TAGS_KEY);
exports.getPostReactionParticipantsKey = (0, keyConstructor_1.KeyConstructor)(POST_REACTION_PARTICIPANTS_KEY);
exports.getPostTypeKey = (0, keyConstructor_1.KeyConstructor)(POST_TYPE_KEY);
exports.getPostTypesKey = (0, keyConstructor_1.KeyConstructor)(POST_TYPES_KEY);
//# sourceMappingURL=post.key.js.map