import { jsx as _jsx } from "react/jsx-runtime";
import clsx from 'clsx';
import { Icon } from '@tribeplatform/react-ui-kit/Icon';
const activeClass = 'text-actionAccent-600 hover:text-actionAccentHover-500';
export const MenuItem = ({ onClick, isActive, icon, className, title }) => (_jsx("button", { title: title, type: "button", onClick: onClick, className: clsx('flex p-1 items-center hover:bg-surface-100', className, {
        [activeClass]: isActive,
    }), children: _jsx(Icon, { className: "w-4 h-4", children: icon }, void 0) }, void 0));
//# sourceMappingURL=BubbleMenuItem.js.map