import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import BoldIcon from 'remixicon-react/BoldIcon';
import CodeBoxLineIcon from 'remixicon-react/CodeBoxLineIcon';
import CodeLinkIcon from 'remixicon-react/CodeLineIcon';
import DoubleQuotesLIcon from 'remixicon-react/DoubleQuotesLIcon';
import H1Icon from 'remixicon-react/H1Icon';
import H2Icon from 'remixicon-react/H2Icon';
import ItalicIcon from 'remixicon-react/ItalicIcon';
import StrikethroughIcon from 'remixicon-react/StrikethroughIcon';
import UnderlineIcon from 'remixicon-react/UnderlineIcon';
import { twMerge } from 'tailwind-merge';
import { MenuItem } from './BubbleMenuItem';
export const TextFormattingMenu = ({ editor, className, }) => (_jsx(_Fragment, { children: _jsxs("div", { className: twMerge('flex items-center rounded-sm space-x-2 divide-x divide-surface-200 py-1 px-2 text-basicSurface-500 bg-surface-50 shadow-lg border border-surface-200/50', className), children: [_jsxs("div", { className: "flex space-x-2", children: [_jsx(MenuItem, { title: "Bold", onClick: () => editor.chain().focus().toggleBold().run(), isActive: editor.isActive('bold'), icon: _jsx(BoldIcon, {}, void 0) }, void 0), _jsx(MenuItem, { title: "Italic", onClick: () => editor.chain().focus().toggleItalic().run(), isActive: editor.isActive('italic'), icon: _jsx(ItalicIcon, {}, void 0) }, void 0), _jsx(MenuItem, { title: "Underline", onClick: () => editor.chain().focus().toggleUnderline().run(), isActive: editor.isActive('underline'), icon: _jsx(UnderlineIcon, {}, void 0) }, void 0), _jsx(MenuItem, { title: "Strike Through", onClick: () => editor.chain().focus().toggleStrike().run(), isActive: editor.isActive('strike'), icon: _jsx(StrikethroughIcon, {}, void 0) }, void 0)] }, void 0), _jsxs("div", { className: "flex space-x-2 pl-2", children: [_jsx(MenuItem, { title: "Large Header", onClick: () => editor.chain().focus().toggleHeading({ level: 2 }).run(), isActive: editor.isActive('heading', { level: 2 }), icon: _jsx(H1Icon, {}, void 0) }, void 0), _jsx(MenuItem, { title: "Medium Header", onClick: () => editor.chain().focus().toggleHeading({ level: 3 }).run(), isActive: editor.isActive('heading', { level: 3 }), icon: _jsx(H2Icon, {}, void 0) }, void 0)] }, void 0), _jsx("div", { className: "flex pl-2", children: _jsx(MenuItem, { title: "Blockquote", onClick: () => editor.chain().focus().toggleBlockquote().run(), isActive: editor.isActive('blockquote'), icon: _jsx(DoubleQuotesLIcon, {}, void 0) }, void 0) }, void 0), _jsxs("div", { className: "flex space-x-2 pl-2", children: [_jsx(MenuItem, { title: "Inline Code", onClick: () => editor.chain().focus().toggleCode().run(), isActive: editor.isActive('code'), icon: _jsx(CodeLinkIcon, {}, void 0) }, void 0), _jsx(MenuItem, { title: "Code Block", onClick: () => editor.chain().focus().toggleCodeBlock().run(), isActive: editor.isActive('codeBlock'), icon: _jsx(CodeBoxLineIcon, {}, void 0) }, void 0)] }, void 0)] }, void 0) }, void 0));
//# sourceMappingURL=TextBubbleMenu.js.map