/// <reference types="react" />
import { FormControlToggleProps } from '@tribeplatform/react-ui-kit/FormControl';
import { FormValidationProps } from './typings';
export declare type ToggleProps = Omit<FormControlToggleProps, 'value' | 'onChange' | 'checked'> & FormValidationProps & {
    checked?: boolean;
    onChange?: (value: boolean) => void;
};
export declare function Toggle({ name, validation, onChange: selectOnChange, ...rest }: ToggleProps): JSX.Element;
//# sourceMappingURL=Toggle.d.ts.map