import { ComponentProps } from 'react';
import { RegisterOptions, UseFormReturn } from 'react-hook-form';
export declare type FormValidationProps = {
    name: string;
    validation?: RegisterOptions;
};
export declare type FormProps = Omit<ComponentProps<'form'>, 'onSubmit'> & {
    defaultValues?: Record<string, unknown>;
    alertClasses?: string;
    onSubmit?: (data: any, methods?: UseFormReturn<any, Record<string, unknown>>) => void | Promise<unknown>;
};
export declare type FormRef = {
    methods: UseFormReturn<Record<string, unknown>, Record<string, unknown>>;
};
export declare type FormComponent = React.ForwardRefExoticComponent<React.PropsWithoutRef<FormProps> & React.RefAttributes<FormRef>>;
//# sourceMappingURL=typings.d.ts.map