import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getAppCollaboratorsKey } from '../../utils/keys';
export const useGlobalAppCollaborators = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = useTribeClient();
    const AppCollaboratorsKey = getAppCollaboratorsKey({ variables, fields });
    return useQuery(AppCollaboratorsKey, () => client.dev.appCollaborators(variables, fields), { ...useQueryOptions, enabled: !!(variables === null || variables === void 0 ? void 0 : variables.appId) });
};
//# sourceMappingURL=useGlobalAppCollaborators.js.map