import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
export const useGlobalEventTypes = (options) => {
    const { variables, fields = 'basic', useQueryOptions } = options || {};
    const { client } = useTribeClient();
    return useQuery(['eventTypes'], () => client.dev.eventTypes(variables, fields), { ...useQueryOptions });
};
//# sourceMappingURL=useGlobalEventTypes.js.map