import { InfiniteData, QueryKey } from 'react-query';
import { ClientError, PostFields } from '@tribeplatform/gql-client';
import { MutationCreateReplyArgs, PaginatedPost, Post } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '../../lib';
declare type Snapshot = {
    rootPostSnapshot?: Post;
    repliesSnapshot: [QueryKey, InfiniteData<PaginatedPost>][];
    postsSnapshots: [QueryKey, InfiniteData<PaginatedPost>][];
    pinnedPostsSnapshot: [QueryKey, InfiniteData<Post>][];
};
export declare const useAddReply: (options?: {
    fields?: PostFields;
    useMutationOptions?: UseMutationOptions<Post, ClientError, MutationCreateReplyArgs, Snapshot>;
}) => import("react-query").UseMutationResult<Post, ClientError, MutationCreateReplyArgs, Snapshot>;
export {};
//# sourceMappingURL=useAddReply.d.ts.map