import { useQuery } from '../../lib';
import { useTribeClient } from '../../useTribeClient';
import { getExtraPropertiesKey } from '../../utils/keys';
export const useExtraProperties = (options) => {
    const { variables, useQueryOptions } = options;
    const { client } = useTribeClient();
    const extraPropertiesKey = getExtraPropertiesKey({ variables });
    return useQuery(extraPropertiesKey, () => client.extraProperties(variables), {
        ...useQueryOptions,
    });
};
//# sourceMappingURL=useExtraProperties.js.map