import { ClientError } from '@tribeplatform/gql-client';
import { AuthToken, MutationJoinNetworkArgs, MutationJoinNetworkWithInvitationLinkArgs, MutationJoinNetworkWithTokenArgs } from '@tribeplatform/gql-client/types';
import { UseMutationOptions } from '@tribeplatform/react-sdk/lib';
declare type Variables = MutationJoinNetworkArgs | MutationJoinNetworkWithTokenArgs | MutationJoinNetworkWithInvitationLinkArgs;
export declare const useSignup: (props?: {
    invitationToken?: string;
    invitationLinkId?: string;
}) => {
    mutateAsync: (variables: Variables, useMutationOptions?: UseMutationOptions<AuthToken, ClientError, Variables, {
        snapshot: AuthToken;
    }>) => Promise<AuthToken>;
    isLoading: boolean;
};
export {};
//# sourceMappingURL=useSignup.d.ts.map