import { MemberFields, PostFields, PostTypeFields, SearchEntityFields, TagFields } from '@tribeplatform/gql-client';
import { QueryMemberPostsArgs, QueryPostArgs, QueryPostReactionParticipantsArgs, QueryPostsArgs, QueryPostTypeArgs, QueryPostTypesArgs, QueryRepliesArgs, QuerySearchArgs, QueryTagPostsArgs, QueryTagsArgs } from '@tribeplatform/gql-client/types';
export declare const getSearchKey: (options?: {
    variables?: Partial<QuerySearchArgs>;
    fields?: Partial<SearchEntityFields>;
}) => import("../..").QueryKey;
export declare const getPostKey: (options?: {
    variables?: Partial<QueryPostArgs>;
    fields?: Partial<PostFields>;
}) => import("../..").QueryKey;
export declare const getPostsKey: (options?: {
    variables?: Partial<QueryPostsArgs | QueryTagPostsArgs | QueryRepliesArgs | QueryMemberPostsArgs>;
    fields?: Partial<PostFields>;
}) => import("../..").QueryKey;
export declare const getTagsKey: (options?: {
    variables?: Partial<QueryTagsArgs>;
    fields?: Partial<TagFields>;
}) => import("../..").QueryKey;
export declare const getPostReactionParticipantsKey: (options?: {
    variables?: Partial<QueryPostReactionParticipantsArgs>;
    fields?: Partial<MemberFields>;
}) => import("../..").QueryKey;
export declare const getPostTypeKey: (options?: {
    variables?: Partial<QueryPostTypeArgs>;
    fields?: Partial<PostTypeFields>;
}) => import("../..").QueryKey;
export declare const getPostTypesKey: (options?: {
    variables?: Partial<QueryPostTypesArgs>;
    fields?: Partial<PostTypeFields>;
}) => import("../..").QueryKey;
//# sourceMappingURL=post.key.d.ts.map