import { PageFields, PostFields, SpaceFields, SpaceMemberFields } from '@tribeplatform/gql-client';
import { QueryMemberSpacesArgs, QueryPageArgs, QuerySpaceArgs, QuerySpacePinnedPostsArgs, QuerySpacesArgs, QuerySpacesByIdsArgs, QuerySpacesBySlugsArgs } from '@tribeplatform/gql-client/types';
export declare const getPageKey: (options?: {
    variables?: Partial<QueryPageArgs>;
    fields?: Partial<PageFields>;
}) => import("../..").QueryKey;
export declare const getSpaceKey: (options?: {
    variables?: Partial<QuerySpaceArgs>;
    fields?: Partial<SpaceFields>;
}) => import("../..").QueryKey;
export declare const getSpacesKey: (options?: {
    variables?: Partial<QuerySpacesArgs>;
    fields?: Partial<SpaceFields>;
}) => import("../..").QueryKey;
export declare const getMemberSpacesKey: (options?: {
    variables?: Partial<QueryMemberSpacesArgs>;
    fields?: Partial<SpaceMemberFields>;
}) => import("../..").QueryKey;
export declare const getSpacesByIdsKey: (options?: {
    variables?: Partial<QuerySpacesByIdsArgs>;
    fields?: Partial<SpaceFields>;
}) => import("../..").QueryKey;
export declare const getSpacesBySlugsKey: (options?: {
    variables?: Partial<QuerySpacesBySlugsArgs>;
    fields?: Partial<SpaceFields>;
}) => import("../..").QueryKey;
export declare const getPinnedPostsKey: (options?: {
    variables?: Partial<QuerySpacePinnedPostsArgs>;
    fields?: Partial<PostFields>;
}) => import("../..").QueryKey;
//# sourceMappingURL=space.key.d.ts.map