import { Element } from 'html-react-parser'

export const imgToImage = (domNode: Element) => {
  const { src, 'data-id': id } = domNode?.attribs || {}

  if (!src) return undefined

  return {
    id,
    downloadUrl: src,
    url: src,
    cropX: 0,
    cropY: 0,
    cropZoom: 1,
  }
}
