import { CollectionFields } from '@tribeplatform/gql-client'
import {
  QueryCollectionArgs,
  QueryCollectionsArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const COLLECTION_KEY = 'collection'
const COLLECTIONS_KEY = 'collections'

export const getCollectionKey = KeyConstructor<
  QueryCollectionArgs,
  CollectionFields
>(COLLECTION_KEY)
export const getCollectionsKey = KeyConstructor<
  QueryCollectionsArgs,
  CollectionFields
>(COLLECTIONS_KEY)
