import { SpacePostTypeFields } from '@tribeplatform/gql-client'
import {
  QuerySpacePostTypeArgs,
  QuerySpacePostTypesArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const SPACE_POST_TYPE_KEY = 'spacePostType'
const SPACE_POST_TYPES_KEY = 'spacePostTypes'

export const getSpacePostTypeKey = KeyConstructor<
  QuerySpacePostTypeArgs,
  SpacePostTypeFields
>(SPACE_POST_TYPE_KEY)
export const getSpacePostTypesKey = KeyConstructor<
  QuerySpacePostTypesArgs,
  SpacePostTypeFields
>(SPACE_POST_TYPES_KEY)
