import { SpaceRoleFields } from '@tribeplatform/gql-client'
import { QuerySpaceRolesArgs } from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const SPACE_ROLES_KEY = 'spaceRoles'

export const getSpaceRolesKey = KeyConstructor<
  QuerySpaceRolesArgs,
  SpaceRoleFields
>(SPACE_ROLES_KEY)
