import {
  TemplateFields,
  TemplateRequestFields,
} from '@tribeplatform/gql-client'
import {
  QueryTemplatesArgs,
  QueryTemplateRequestArgs,
} from '@tribeplatform/gql-client/types'

import { KeyConstructor } from './keyConstructor'

const TEMPLATES_KEY = 'templates'
const TEMPLATE_REQUEST_KEY = 'templateRequest'

export const getTemplatesKey = KeyConstructor<
  QueryTemplatesArgs,
  TemplateFields
>(TEMPLATES_KEY)
export const getTemplateRequestKey = KeyConstructor<
  QueryTemplateRequestArgs,
  TemplateRequestFields
>(TEMPLATE_REQUEST_KEY)
